<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	// セッションの生成
	ini_set("session.bug_compat_42", 0);
	ini_set("session.bug_compat_warn", 0);
	session_start();
	require_once 'cms_access_check.php';		// 不正アクセスチェック
	require_once 'cms_csrf_check.php';			// csrf対策
	
	include("function_pdo.php");
	include("function_cms.php");
	include("src/function_cms2.php");

	$_SESSION["csrf_chk_value"] = csrf_token();		// csrf対策その２（token書き換えで2重対策）
	if ($_POST['proc'] == "パスワードをお忘れの場合") {
		echo '<body onLoad="document.frm1.submit();">
		<form name=frm1 action="cms_login_passwd_reset.php" method="POST">
		<input type="hidden" name="csrf_post_value" value="'.$_SESSION["csrf_chk_value"].'">
		</form>';
		exit;
	}
	// ユーザー名／パスワード
	if ($_POST['user'] == NULL || $_POST['user'] == "") $login = 'Error';
	$user = htmlspecialchars($_POST['user'], ENT_QUOTES);
	$pass = htmlspecialchars($_POST['pass'], ENT_QUOTES);
	
	// DB存在チェックするために通知先メールアドレス、パスワードを暗号化する。
	$encode_decode	= 1;
	$encode_user 	= encode_decode_data($encode_decode, $user);
	$encode_pass 	= encode_decode_data($encode_decode, $pass);
	
	// DBへの接続（存在しない場合はDB、TABLEを作成）
	$conn = init_sqlite();
	$conn2 = init_sqlite2();
	$_SESSION["errmsg"] = NULL;
	// データベースへの問い合わせSQL文
	$sql = 'SELECT * FROM user_info
			WHERE login_name = :login_name
			AND login_password = :login_password';
	$stmt = $conn2->prepare($sql);
	$stmt->bindParam(":login_name", $encode_user);
	$stmt->bindParam(":login_password", $encode_pass);
	$stmt->execute();
	// 認証
	$_SESSION["login_chk"] = 'NG';
	if ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
		// ログイン成功
		$login = 'OK';
		$_SESSION["login"]				= true;					// 複数ページログイン防止チェック用
		// 表示用ユーザー名をセッション変数に保存
		$_SESSION['name'] 		= $_POST['user'];
		$_SESSION['login_name'] = $_POST['user'];
		$_SESSION['password'] 	= $_POST['pass'];
	} else {
		// ログイン失敗
		$login = 'Error';
	}
	// セッション変数に記録
	$_SESSION["login_chk"] = $login;
	// 移動
	if ($_SESSION["login_chk"]== 'OK') {
		if ($_POST['proc'] == "ログイン"){
			// ログイン成功：CMSトップページへ
			$_SESSION['page_cnt'] = 1;
			echo '<!DOCTYPE html>
				<html>
				<head>
				<meta charset="UTF-8" >
				<meta name="token" content="'.$_SESSION["csrf_chk_value"].'">
				<script src="jQuery/jquery-3.2.1.min.js"></script>
				<script src="js/hidden_src.js"></script>
				</head>
				<body>
				</body>
				<script>
				$(function(){
					var atag = document.createElement("a");
					atag.setAttribute("href", "cms_manager.php");
					atag.setAttribute("target", "_self");
					atag.style.display = "none";
					document.body.appendChild(atag);
					atag.click();
				});
				</script>
				</html>';
				exit;
		} else 
		if ($_POST['proc'] == "パスワード変更") {
			$_SESSION['newpwd'] = NULL;
			echo '<!DOCTYPE html>
				<html>
				<head>
				<meta charset="UTF-8" >
				<script src="jQuery/jquery-3.2.1.min.js"></script>
				<script src="js/hidden_src.js"></script>
				</head>
				<body onLoad="document.frm1.submit();">
				<form name=frm1 action="chgpwd.php" method="POST">
				<input type="hidden" name="csrf_post_value" value="'.$_SESSION["csrf_chk_value"].'">
				</form>
				</body>
				</html>';
				exit;
		}
	} else {
		// ログイン失敗：ログインフォーム画面へ
		$_SESSION["errmsg"] = "パスワードが一致していません！";
		header('Location: ../login.php?err=1');
	}
	unset($conn);
?>
