<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	// セッションの生成
	session_start();
	include 'src/function_cms2.php';
	// DBへの接続（存在しない場合はDB、TABLEを作成）
	$conn2 = init_sqlite2();
	// パスワード一致チェック
	$_SESSION['errmsg'] = NULL;
	$pwd1 = htmlspecialchars($_POST['pwd1'], ENT_QUOTES);
	$pwd2 = htmlspecialchars($_POST['pwd2'], ENT_QUOTES);
	if ($pwd1 <> $pwd2) {
		$_SESSION["errmsg"] = "パスワードが一致していません！";
		if (isset($_POST["file_name"])) {
			$filename = $_POST["file_name"];
		}else{
			$filename = "chgpwd.php";
		}
		header('Location: '.$filename.'?err=1');
		exit;
	}
	$pass = $pwd1;
	if (!(mb_strlen($pass) >=6 && mb_strlen($pass) <= 30)) $_SESSION["errmsg"] 	= $_SESSION["errmsg"]."「パスワード」は６～３２文字の範囲で入力してください。<br />\n";
	if (!preg_match( "/^[0-9a-zA-Z._-]+$/", $pass)) $_SESSION["errmsg"] = $_SESSION["errmsg"]."「パスワード」は半角英数字と「.」「_」「-」で入力してください。<br />\n";
	if ($_SESSION["errmsg"] <> NULL) {
		if (isset($_POST["file_name"])) {
			$filename = $_POST["file_name"];
		}else{
			$filename = "chgpwd.php";
		}
		header('Location: '.$filename.'?err=1');
		exit;
	}
	// データベースへの問い合わせSQL文（件数を取得）
	$sql = 'SELECT * FROM user_info';
	$stmt = $conn2->prepare($sql);
	$stmt->execute();
	if ($row = $stmt->fetch()) {
		$id 			= $row['id'];
		
		// パスワードを暗号化する。
		$encode_decode	= 1;	// 1：encode
		$login_name 	= $row['login_name'];
		$login_password	= encode_decode_data($encode_decode, $pwd1);
		$dest_e_mail	= $row['dest_e_mail'];
		update_user_info($conn2, $id, $login_name, $login_password, $dest_e_mail);
		if (isset($_POST["file_name"])) unlink($_POST["file_name"]);						// パスワードをお忘れの場合がクリックされて作成された一時ファイルを削除する。
		header('Location: chgpwd_complete.php');
	}else{
		$_SESSION["errmsg"] = "システムに不具合があります！再インストールしてください！";
		header('Location: chgpwd.php?err=1');
		exit;
	}
?>