<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	ini_set("session.bug_compat_42", 0);
	ini_set("session.bug_compat_warn", 0);
	// セッションの復元
	session_start();
	// ログインチェック
	require_once 'check_login_message.php';
	include 'function_pdo.php';
	include 'function_cms.php';
	include 'src/function_cms2.php';
	// DBへの接続（存在しない場合はDB、TABLEを作成）
	$conn = init_sqlite();
	$conn2 = init_sqlite2();
	$db_contents = $_POST['header_text_input'];
	$_SESSION["header_text_input"] =$db_contents;
	if ($_POST['proc'] == "保存") {
		header("Location: cms_header_text_edit_dbsave.php?mode=1");
		exit;
	}
	
	$sql = "SELECT * FROM header_tbl";
	//echo "<br>sql=".$sql;		// debug
    $stmt = $conn->prepare($sql);
    $stmt->execute();
    $rowpg = $stmt->fetch(PDO::FETCH_ASSOC);
	$text_padding_top 	= ($rowpg["text_padding_top"] == NULL) ? 0: $rowpg["text_padding_top"];	//３項演算子
	$text_padding_left 	= ($rowpg["text_padding_left"] == NULL) ? 180: $rowpg["text_padding_left"];	//３項演算子

	$header_text				= $_POST["header_text_input"];
	$_SESSION["header_text"]	= $header_text;
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8" >
<title>Content Management System｜ヘッダーテキスト位置調整</title>
<meta name="description" content="finelpはランディングページ作成用CMSです。販売ページを簡単に作成できます。">
<link href="cssfiles/common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_contents_page.css" rel="stylesheet" type="text/css">
<link href="cssfiles/contents_title_free_page.css" rel="stylesheet" type="text/css">
<link href="cssfiles/wysiwyg.css" rel="stylesheet" type="text/css"><!-- レイアウト、書式等設定 -->

<?php
include("cms_parts_page_head_common1.php");
?>
<script type="text/javascript" src="js/cms_proc.js"></script>
<script type="text/javascript">
jQuery(function(){
	//alert("jQuery_function");
	//var hr_height 	= jQuery("#header_right").css("height");
	//alert(hr_height);	// debug
	//var la_height 	= jQuery("#p_logo_area").css("height");
	//alert("la_height"+la_height);	// debug
	var padding_top 	= <?php echo $text_padding_top ;?>;
	var padding_left	= <?php echo $text_padding_left;?>;
	var width			= 480 - padding_left;
	//alert('img_cntw='+$img_cntw);
	jQuery("#up").click(function(){
		//alert("padding_top");
		if (padding_top <= 0) {
			alert("これ以上調整できません！");
		}else{
			padding_top = padding_top - 1;
			//hr_height	= hr_height + 1;
			jQuery("#header_right").css("padding-top",padding_top);
			jQuery("#padding_top_input").val(padding_top);
		}
	});
	jQuery("#down").click(function(){
		//alert("padding_top");
		padding_top = padding_top + 1;
		jQuery("#header_right").css("padding-top",padding_top);
		jQuery("#padding_top_input").val(padding_top);
	});
	jQuery("#left").click(function(){
		//alert("padding_top");
		padding_left 	= padding_left - 1;
		width			= 480 - padding_left;
		jQuery("#header_right").css("padding-left",padding_left);
		jQuery("#header_right").css("width",width);
		jQuery("#padding_left_input").val(padding_left);
	});
	jQuery("#right").click(function(){
		//alert("padding_top");
		padding_left = padding_left + 1;
		var width		= 480 - padding_left;
		jQuery("#header_right").css("padding-left",padding_left);
		jQuery("#header_right").css("width",width);
		jQuery("#padding_left_input").val(padding_left);
	});
	
	jQuery("#padding_top_input").change(function() {
		padding_top = jQuery("#padding_top_input").val();
		padding_top = Number(padding_top);
		//alert("padding_top="+padding_top);	// test
		jQuery("#header_right").css("padding-top",padding_top);
	});
	jQuery("#padding_left_input").change(function() {
		padding_left = jQuery("#padding_left_input").val();
		padding_left = Number(padding_left);
		jQuery("#header_right").css("padding-left",padding_left);
	});


});
</script>
<?php
	echo '<style type="text/css">';
	echo "#header_right {";
	echo "width:".(480 - $text_padding_left)."px;";
	echo "padding-top:".$text_padding_top."px;";
	echo "padding-left:".$text_padding_left."px;";
	echo "}";
	echo '</style>';
?>
</head>
<body>
<div id="container_logo_edit">
<br>
<div class="p_proc_title_cms">ヘッダーテキスト位置調整</div>
<br class="clear_both">
<div class="p_header_title_cms">　ヘッダーテキストの位置を<img src="img/button/up.png" hspace="2" vspace="2" alt="up" class="p_btn_img" style="vertical-align:middle;"><img src="img/button/down.png" hspace="2" vspace="2" alt="down" class="p_btn_img" style="vertical-align:middle;"><img src="img/button/left.png" hspace="2" vspace="2" alt="up" class="p_btn_img" style="vertical-align:middle;"><img src="img/button/right.png" hspace="2" vspace="2" alt="up" class="p_btn_img" style="vertical-align:middle;">で調整後[ＯＫ]をクリックてください。<br>　下の入力欄に直接px値を指定して[ＯＫ]をクリックすることもできます。</div>
<br class="clear_both"><br>
<div class="p_proc_area_cms">

<div class="text_left_right">
<div id="left"><img src="img/button/left.png" hspace="2" vspace="2" alt="left" title="左へずらす" class="p_btn_img" style="vertical-align:middle;"></div>
<div id="right"><img src="img/button/right.png" hspace="6" vspace="2" alt="right" title="右へずらす" class="p_btn_img" style="vertical-align:middle;"></div>
</div>
<br class="clear_both">
<div class="text_up_down">
<div id="up"><img src="img/button/up.png" hspace="0" vspace="0" alt="up"  title="上にずらす"class="p_btn_img" style="vertical-align:middle;"></div>
<div id="down"><img src="img/button/down.png" hspace="0" vspace="0" alt="down" title="下へずらす" class="p_btn_img" style="vertical-align:middle;"></div>
</div>
<?php
	$mode = 1;
	$edit = 1;
	$root = 7;
	header_dsp($conn, $mode, $edit, $root);
?>
<br class="clear_both">
</div>
<form action="./cms_header_text_adjust_dbsave.php" method="POST">
　上端からの位置：<input type="text" name="padding_top_input" id="padding_top_input" value="<?php echo $text_padding_top;?>"><br>
　左端からの位置：<input type="text" name="padding_left_input" id="padding_left_input" value="<?php echo $text_padding_left;?>"><br>
<br>
<div class="btn"><input type="submit" value="ＯＫ" ></div>
<div class="btn"><input type="button" value="戻る" onClick="location='<?php echo $_SESSION["header_text_edit"];?>?proc=modoru'"></div>
</form>
<br class="clear_both"><br>

</div>
</body>
<script type="text/javascript">resizeTo(1500,800);</script>

</html>
