<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	// セッションの復元
	session_start();
	// ログインチェック
	require_once 'check_login_message.php';
	include 'function_pdo.php';
	include 'function_cms.php';
	
	// DBへの接続（存在しない場合はDB、TABLEを作成）
	$conn = init_sqlite();
	
	$sql_tmp = "update index_data set
					padding_top		= :padding_top,
					indent			= :indent,
					title_color		= :title_color,
					title_img_no	= :title_img_no,
					title_img_file	= :title_img_file,
					update_time 	= :update_time
					where id		= :id";
	$padding_top	= 8;
	$indent			= 20;
	$title_color	= "Transparent";
	$title_img_no	= 0;
	$title_img_file = NULL;
	
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $_SESSION['index_data_id']);
	$stmt->bindParam(":padding_top", $padding_top);
	$stmt->bindParam(":indent", $indent);
	$stmt->bindParam(":title_color", $title_color);
	$stmt->bindParam(":title_img_no", $title_img_no);
	$stmt->bindParam(":title_img_file", $title_img_file);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();

print "<script type=\"text/javascript\">window.opener.location.reload();</script>";	// 親ページを更新する。
print "<script type=\"text/javascript\">window.opener.focus();</script>";			// 親ページを前面に表示する。

print "<script type=\"text/javascript\">window.open(\"about:blank\",\"_self\").close();</script>";	// 自分自身を閉じる。

?>
