<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	// セッションの復元
	session_start();
	// ログインチェック
	require_once 'check_login_message.php';
	$_SESSION["errmsg"] = NULL;
	
	include 'function_pdo.php';
	include 'function_cms.php';
	// DBへの接続（存在しない場合はDB、TABLEを作成）
	$conn = init_sqlite();
	
	if ($_GET["proc"] == "dbadd") {
		$section_pc_text_data_contents = NULL;
		$sqlsec = "SELECT * FROM section ORDER BY orderno ASC";
		//echo "<br>sql_sec=".$sqlsec;		// debug
		$stmtsec = $conn->prepare($sqlsec);
		$stmtsec->execute();
		while ($rowsec = $stmtsec->fetch(PDO::FETCH_ASSOC)) {
			// 各セクションタイトルをセット
			$section_title_ari = false;
			if ($rowsec["section_title"] <> NULL) {
				$a_name_start	= '<a href="index.php#section_link_'.$rowsec["id"].'">';
				$section_pc_text_data_contents .= $a_name_start.'<font size="4" face="游ゴシック体, Yu Gothic, YuGothic, ヒラギノ角ゴシック Pro, Hiragino Kaku Gothic Pro, メイリオ, Meiryo, Osaka, ＭＳ Ｐゴシック, MS PGothic, sans-serif" color="#663300"><b>'.strip_tags($rowsec["section_title"]).'</b></font></a><br>';
				$section_title_ari = true;
			}
		}
		if ($section_title_ari) $section_pc_text_data_contents .= '<br>';
		// 他のセクションのordernoを１加算する。
		$sql = "SELECT * FROM section WHERE (orderno < 1000000)";
		// １個上側ボタンを下に移動する。
		$stmt0 = $conn->prepare($sql);
		$stmt0->execute();
		while($row = $stmt0->fetch(PDO::FETCH_ASSOC)) {
			$orderno = $row["orderno"] + 1 + 1000000;		// select条件に含まれないように一旦1000000を加算;
			$sql_tmp = "update section set
							orderno			= :orderno,
							update_time 	= :update_time
							where id		= :id";
				$stmt = $conn->prepare($sql_tmp);
				$stmt->bindParam(":id", $row['id']);
				$stmt->bindParam(":orderno", $orderno);
				//更新日時
				$time 			= time();
				$update_time 	= date('Y/m/d H:i:s', $time);
				$stmt->bindParam(":update_time", $update_time);
				$stmt->execute();
		}
		//　一旦加算した値を戻す。
		$sql = "SELECT * FROM section  where (orderno > 1000000)";	// 処理対象の行のデータのみを選択
		//echo "sql2=".$sql."<br>";		// debug
		$stmt2 = $conn->prepare($sql);
		$stmt2->execute();
		while ($row = $stmt2->fetch(PDO::FETCH_ASSOC)) {
			$orderno = $row['orderno'] - 1000000;		// 目的の値に戻す。
			$sql_tmp = "update section set
							orderno			= :orderno,
							update_time 	= :update_time
							where id		= :id";
				$stmt = $conn->prepare($sql_tmp);
				$stmt->bindParam(":id", $row['id']);
				$stmt->bindParam(":orderno", $orderno);
				//更新日時
				$time 			= time();
				$update_time 	= date('Y/m/d H:i:s', $time);
				$stmt->bindParam(":update_time", $update_time);
				$stmt->execute();
		}
		
		$orderno				= 1;		// 目次は最初に表示する。
		$section_form 			= 99;		// 目次
		$margin_top				= 0;
		$section_bk_color 		= "FFFFFF";
		$section_border_width 	= 0;
		$section_border_style 	= 0;
		$section_border_color 	= "FFFFFF";
		$section_title			= '<font size="5" face="游ゴシック体, Yu Gothic, YuGothic, ヒラギノ角ゴシック Pro, Hiragino Kaku Gothic Pro, メイリオ, Meiryo, Osaka, ＭＳ Ｐゴシック, MS PGothic, sans-serif" color="#663300"><b>目　次</b></font>';
		$title_padding_top		= 4;
		$padding_left			= 20;
		$padding_top			= 15;
		$padding_right			= 0;
		$padding_bottom			= 0;
		$indent					= 10;
		$title_color			= "5ADBA8";
		$title_img_no			= 998;
		$title_img_file			= NULL;
		$title_area_height		= 0;
		$dsp_form				= 1;		// 最初から内容表示
		
		$section_id = insert_section($conn, $orderno, $section_form, $margin_top, $section_bk_color, $section_border_width, $section_border_style, $section_border_color, $section_title, 
								$title_padding_top, $padding_left, $padding_top, $padding_right, $padding_bottom, $indent, $title_color, $title_img_no, $title_img_file, $title_area_height, $dsp_form);
		
		// *** セクションテキストデータの追加 ***
		// セクションbox表示順序管理テーブルデータの追加
		$box_orderno = 0;
		// box_ordernoのMAX値を取得
		$sql = "SELECT * FROM section_box_orderno_mng WHERE (section_id = ".$section_id.") ORDER BY box_orderno DESC";
		//echo "<br>sql=".$sql;		// debug
		$stmt = $conn->prepare($sql);
		$stmt->execute();
		$row = $stmt->fetch(PDO::FETCH_ASSOC);			// order_noが最大のレコードを1件読む。
		if ($row["box_orderno"] <> NULL) {
			$box_orderno = $row["box_orderno"] + 1;
		}else{
			$box_orderno = 1;
		}
		$data_kbn 	= 1;	// テキスト
		$data_id	= 0;	// 後でセットする。
		$section_box_orderno_mng_id = insert_section_box_orderno_mng($conn, $section_id, $box_orderno, $data_kbn, $data_id);
		//セクションテキストデータの追加
		$orderno 	= 0;
		$contents	= $section_pc_text_data_contents;
		$section_pc_text_data_id = insert_section_pc_text_data($conn, $section_id, $box_orderno, $orderno, $contents);
		// セクションbox表示順序管理テーブルデータのdata_idをセットする。
		$id			= $section_box_orderno_mng_id;
		$data_id	= $section_pc_text_data_id;
		update_section_box_orderno_mng($conn, $id, $section_id, $box_orderno, $data_kbn, $data_id);
		
		print '<script type="text/javascript">window.opener.location.reload();</script>';	// 親ページを更新する。
		print '<script type="text/javascript">window.opener.focus();</script>';				// 親ページを前面に表示する。
		print "<script type=\"text/javascript\">window.open(\"about:blank\",\"_self\").close();</script>";	// 自分自身を閉じる。
	}
?>
