<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	ini_set("session.bug_compat_42", 0);
	ini_set("session.bug_compat_warn", 0);
	// セッションの復元
	session_start();
	include 'function_pdo.php';
	include 'function_cms.php';
	// DBへの接続（存在しない場合はDB、TABLEを作成）
	$conn = init_sqlite();
	// 初期化
	$_SESSION['errmsg'] = NULL;
// 添付ファイル名の取り出し
$file_name = $_FILES['filename']['name'];
if ($file_name <> null){
	$_SESSION['upload_file'] = NULL;
	// [参照]のクリック後[選択画像確認]がクリックされた場合
	// ファイル（MIME）タイプの取り出し
	$file_type = $_FILES['filename']['type'];
	// 一時ファイル名の取り出し
	$temp_name = $_FILES['filename']['tmp_name'];
	// 画像
	// 保存先のディレクトリ
	$dir = 'data/uploads/';
	// 保存先のファイル名
	$time 			= time();
	$now_time 	= date('YmdHis', $time);	//画像ファイル名が重複しないようにする。
	$file_name_arry = explode(".", $file_name);		//ファイル名と拡張子を分離して取り出す。
	$upload_name = $dir . "top_page_sns_img".$now_time.".".$file_name_arry[1];
	$_SESSION['upload_file'] = $upload_name;					//回転を指定され直した場合の削除用
	
	// JPEG or PNG pr GIF形式のファイルをアップロードする
	if (($file_type == 'image/jpeg') || ($file_type == 'image/pjpeg') || 
		($file_type == 'image/png')  || ($file_type == 'image/x-png')   ||
		($file_type == 'image/gif')) {	
		// 画像サイズをホームページ用に変更する。
		// 画像の幅と高さを取り出す
		$image_size = getimagesize($temp_name);
		$width = $image_size[0];
		$height = $image_size[1];
		$w_max = 486;				//横幅MAX
		$h_max = 486;				//縦MAX
		
		if (($height > $h_max) || ($width > $w_max)) {		//画像サイズがmaxを超えている場合
		   if ( ($height * ($w_max/$width)) >= $h_max ) {
			  $after_height = $h_max;
			  $after_width = round($width * $after_height/$height);
		   } else {
			  $after_width = $w_max;
			  $after_height = round($height * $after_width/$width);
		   } 
		} else {
			$after_width = $width;
			$after_height = $height;
		}
		//画像サイズを変更する。	    
		//画像ヘッダを追加する。（不要みたい）
		if (($file_type == 'image/jpeg') || ($file_type == 'image/pjpeg') ) {
			$source = imagecreatefromjpeg($temp_name);
			$resize_img = imagecreatetruecolor($after_width, $after_height);
			$bg_color = imagecolorallocatealpha($resize_img, 255, 255, 255, 127);
			imagefill($resize_img, 0, 0 , $bg_color);
			imagesavealpha($resize_img, TRUE);
			imagecopyresampled($resize_img, $source, 0, 0, 0, 0, $after_width, $after_height, $width, $height);
			$after_img = $resize_img;								//回転指定なしの場合
			
			imagejpeg($after_img,$upload_name);
			imagedestroy($source);
	
		} elseif (($file_type == 'image/png')  || ($file_type == 'image/x-png')){
			$source = imagecreatefrompng($temp_name);
			$resize_img = imagecreatetruecolor($after_width, $after_height);
			$bg_color = imagecolorallocatealpha($resize_img, 255, 255, 255, 127);
			imagefill($resize_img, 0, 0 , $bg_color);
			imagesavealpha($resize_img, TRUE);
			imagecopyresampled($resize_img, $source, 0, 0, 0, 0, $after_width, $after_height, $width, $height);
			$after_img = $resize_img;								//回転指定なしの場合
			imagepng($after_img,$upload_name);
			imagedestroy($source);
	
		} else {														//gifの場合
			$source = imagecreatefromgif($temp_name);
			$resize_img = imagecreatetruecolor($after_width, $after_height);
			$bg_color = imagecolorallocatealpha($resize_img, 255, 255, 255, 127);
			imagefill($resize_img, 0, 0 , $bg_color);
			imagesavealpha($resize_img, TRUE);
			imagecopyresampled($resize_img, $source, 0, 0, 0, 0, $after_width, $after_height, $width, $height);
			$after_img = $resize_img;								//回転指定なしの場合
			imagegif($after_img,$upload_name);
			imagedestroy($source);
		}
				
	} else {
		// JPEG、PNG、GIF形式以外のファイルはアップロードしない
		$_SESSION['errmsg'] = $_SESSION['errmsg']."JPEG、PNG、GIF形式の画像以外は添付出来ません！<br>\n";
	}
}

if ($_SESSION['errmsg']<>NULL) {
	//echo '<br>$_SESSION[errmsg]='.$_SESSION['errmsg'];	// debug
}
$_SESSION["ogp_site_name"] 			= $_POST["ogp_site_name"];
$_SESSION["ogp_title"] 				= $_POST["ogp_title"];
$_SESSION["ogp_description"] 		= $_POST["ogp_description"];
$_SESSION["tweet_button_input"]		= $_POST['tweet_button_input'];
$_SESSION["like_button_input"]		= $_POST['like_button_input'];
$_SESSION["share_button_input"]		= $_POST['share_button_input'];
$_SESSION["google_button_input"]	= $_POST['google_button_input'];
$_SESSION["top_dsp_kbn_input"]		= $_POST['top_dsp_kbn_input'];
$_SESSION["bottom_dsp_kbn_input"]	= $_POST['bottom_dsp_kbn_input'];
if ($_SESSION["top_dsp_kbn_input"] == 1) {
	$dsp_top = "上端に表示する";
}else{
	$dsp_top = "上端に表示しない";
}
if ($_SESSION["bottom_dsp_kbn_input"] == 1) {
	$dsp_buttom = "下端に表示する";
}else{
	$dsp_buttom = "下端に表示しない";
}

?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8" >
<title>Content Management System　ソーシャルボタンの選択</title>
<meta name="description" content="finelpはランディングページ作成用CMSです。販売ページを簡単に作成できます。">
<link href="cssfiles/common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_contents_page.css" rel="stylesheet" type="text/css">
<link href="cssshop/common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/contents_shop_page.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="jQuery/jquery-3.2.1.min.js"></script>
<script type="text/javascript" src="js/floater_contents.js"></script>
</head>
<body>
<div id="container">
<div id="contents_page"><!-- CMSコンテンツ start -->
<div id="mainarea"><!-- メインコンテンツ start -->
<div  class="p_contentstitle">ソーシャルボタンの選択（確認）</div>
		<div class="p_login_box">
    	<div class="p_login">
    	Login: <b><?php echo $_SESSION['name']; ?></b><a href="cms_logout.php">【ログアウト】</a>
		</div>
        </div>
<div class="p_contents_subarea">
<p class="p_edit_guide4">以下の１、２、３を確認し[保存]ボタンをクリックしてください。</p><br>
  <span class="p_edit_guide4">１．セクションの上端/下端表示</span><br>
<?php
	echo "　".$dsp_top;
	echo '<br>';
	echo "　".$dsp_buttom;
?>
<br><br>
  <span class="p_edit_guide4">２．表示するソーシャルボタン</span>
<form action="./cms_index_contents_mng_sns_btn_sel_dbsave.php" method="POST" enctype="multipart/form-data">
<?php
echo "<br class=\"clear_both\">";
if ($_SESSION["tweet_button_input"]) {
	echo "<div class=\"twitter-button_box2\"><a href=\"#\" onclick=\"return false\" title=\"確認画面ではクリックできません\"><img src=\"img/button/tweet.png\" alt=\"icon\" align=\"absmiddle\"></a></div>";
}
if ($_SESSION["like_button_input"]) {
	echo "<div class=\"facebook-button_box2\"><a href=\"#\" onclick=\"return false\" title=\"確認画面ではクリックできません\"><img src=\"img/button/like_button.png\" alt=\"icon\" align=\"absmiddle\"></a></div>";
}	// facebookプラグイン（いいね！ボタン）
if ($_SESSION["share_button_input"]) {
	echo "<div class=\"facebook-button_box2\"><a href=\"#\" onclick=\"return false\" title=\"確認画面ではクリックできません\"><img src=\"img/button/share_button.png\" alt=\"icon\" align=\"absmiddle\"></a></div>";
}	// facebookプラグイン（シェアボタン）

if ($_SESSION["google_button_input"]) {
	echo "<div class=\"google-button_box2\"><a href=\"#\" onclick=\"return false\" title=\"確認画面ではクリックできません\"><img src=\"img/button/google_button.png\" alt=\"icon\" align=\"absmiddle\"></a></div>";
}	// google+ボタン
echo "<br class=\"clear_both\">";
echo "<br>";
echo '<span class="p_edit_guide4">２．ボタンがクリックされたときにＳＮＳ側に表示される「画像/写真」「タイトル」「説明」</span>';
echo '<br class="clear_both"><br>';

echo '<div class="p_edit_title">画像/写真</div>';
echo '<br class="clear_both">';
echo '<div class="p_sel_img2">';
echo '<img src="'.$_SESSION['upload_file'].'">';
echo '</div>';
echo '<br class="clear_both"><br>';
echo '<div class="p_edit_title">サイト名</div>';
echo '<br class="clear_both">';
echo '<div class="contents_area">　'.$_SESSION["ogp_site_name"].'</div>';
echo '<br class="clear_both"><br>';
echo '<div class="p_edit_title">タイトル</div>';
echo '<br class="clear_both">';
echo '<div class="contents_area">　'.$_SESSION["ogp_title"].'</div>';
echo '<br class="clear_both"><br>';
echo '<div class="p_edit_title">説明文</div>　<span class="aka1">※SNS側では改行されません。</span>';
echo '<br class="clear_both">';
echo '<div class="contents_area">　'.$_SESSION["ogp_description"].'</div>';
echo '<br class="clear_both"><br>';

?>
<div class="p_button_kakunin3"><input type="submit" value="　保存　" ></div>
<div class="p_button_modoru2"><input type="button" value="　戻る　" onClick="location='<?php echo $_SESSION["req_uri_sns_btn_sel"]."&amp;modoru=1"; ?>'"></div>
</form>
<br class="clear_both">
</div><!-- end class="p_contents_subarea" -->
<br class="clear_both">
</div><!-- end id="mainarea"-->
</div><!-- end id="contents_page"-->
<br class="clear_both">
</div><!-- end id="container"-->
</body>
<script type="text/javascript">window.focus();</script>
</html>
