<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	// セッションの復元
	session_start();
	// ログインチェック
	require_once 'check_login_message.php';
	include 'function_pdo.php';
	// DBへの接続（存在しない場合はDB、TABLEを作成）
	$conn = init_sqlite();
	
	$section_id				= $_GET['section_id'];
	$proc 					= $_GET['proc'];
	$_SESSION["errmsg"]		= NULL;
	$_SESSION['procmsg'] 	= NULL;
	$errprm					= NULL;
	switch ($proc) {
		case 'up':																// 対象のボタンを上に移動する。
			// クリックされたボタンの上側に項目があるかをチェックする。
			// クリックされたボタンの項目のorderno、idを取得する。
			$sql0 = "SELECT * FROM section where id = ".$section_id;
			//echo "sql0=".$sql0;
			$stmt = $conn->prepare($sql0);
			$stmt->execute();
			$row0 = $stmt->fetch(PDO::FETCH_ASSOC);
			
			$sql = "SELECT * FROM section where (orderno < ".$row0["orderno"].")";		// 上側にカテゴリがあるかをチェックする
			//echo "<br>sql=".$sql;
			$stmt = $conn->prepare($sql);
			$stmt->execute();
			if (!($row = $stmt->fetch(PDO::FETCH_ASSOC))) {
				$_SESSION['errmsg'] = "上端の項目は上には移動出来ません！";
				$errprm				= "&err=1";
			} else {
				//// ボタンを上に移動する。
				// 指定されたボタンの上のボタンを取得する。
				$sql = "SELECT * FROM section where (orderno < ".$row0["orderno"].") ORDER BY orderno DESC";	// 処理対象のボタンのデータのみを選択
				// １個上側ボタンを下に移動する。
				$stmt = $conn->prepare($sql);
				$stmt->execute();
				$row = $stmt->fetch(PDO::FETCH_ASSOC);
				$orderno = $row0["orderno"];
				$sql_tmp = "update section set
								orderno			= :orderno,
								update_time 	= :update_time
								where id		= :id";
					$stmt = $conn->prepare($sql_tmp);
					$stmt->bindParam(":id", $row['id']);
					$stmt->bindParam(":orderno", $orderno);
					//更新日時
					$time 			= time();
					$update_time 	= date('Y/m/d H:i:s', $time);
					$stmt->bindParam(":update_time", $update_time);
					$stmt->execute();
				
				// 指定されたボタンを上に移動する。
				$orderno = $row["orderno"];					// １個上側ボタンの元のordernoをセットする。
				$sql_tmp = "update section set
								orderno			= :orderno,
								update_time 	= :update_time
								where id		= :id";
					$stmt = $conn->prepare($sql_tmp);
					$stmt->bindParam(":id", $row0['id']);
					$stmt->bindParam(":orderno", $orderno);
					//更新日時
					$time 			= time();
					$update_time 	= date('Y/m/d H:i:s', $time);
					$stmt->bindParam(":update_time", $update_time);
					$stmt->execute();
			}
			break;
		case 'down':																// 対象のボタンを上に移動する。
			// クリックされたボタンの下側に項目があるかをチェックする。
			// クリックされたボタンの項目のorderno、idを取得する。
			$sql0 = "SELECT * FROM section where id = ".$section_id;
			//echo "sql0=".$sql0;
			$stmt = $conn->prepare($sql0);
			$stmt->execute();
			$row0 = $stmt->fetch(PDO::FETCH_ASSOC);
			
			$sql = "SELECT * FROM section where (orderno > ".$row0["orderno"].")";		// 上側にボタンがあるかをチェックする
			//echo "<br>sql=".$sql;
			$stmt = $conn->prepare($sql);
			$stmt->execute();
			if (!($row = $stmt->fetch(PDO::FETCH_ASSOC))) {
				$_SESSION['errmsg'] = "下端の項目は下には移動出来ません！";
				$errprm				= "&err=1";
			} else {
				//// ボタンを下に移動する。
				// 指定されたボタンの下のボタンを取得する。
				$sql = "SELECT * FROM section where (orderno > ".$row0["orderno"].") ORDER BY orderno ASC";	// 処理対象のボタンのデータのみを選択
				// １個上側ボタンを上に移動する。
				$stmt = $conn->prepare($sql);
				$stmt->execute();
				$row = $stmt->fetch(PDO::FETCH_ASSOC);
				$orderno = $row0["orderno"];
				$sql_tmp = "update section set
								orderno			= :orderno,
								update_time 	= :update_time
								where id		= :id";
					$stmt = $conn->prepare($sql_tmp);
					$stmt->bindParam(":id", $row['id']);
					$stmt->bindParam(":orderno", $orderno);
					//更新日時
					$time 			= time();
					$update_time 	= date('Y/m/d H:i:s', $time);
					$stmt->bindParam(":update_time", $update_time);
					$stmt->execute();
				
				// 指定されたボタンを上に移動する。
				$orderno = $row["orderno"];					// １個上側ボタンの元のordernoをセットする。
				$sql_tmp = "update section set
								orderno			= :orderno,
								update_time 	= :update_time
								where id		= :id";
					$stmt = $conn->prepare($sql_tmp);
					$stmt->bindParam(":id", $row0['id']);
					$stmt->bindParam(":orderno", $orderno);
					//更新日時
					$time 			= time();
					$update_time 	= date('Y/m/d H:i:s', $time);
					$stmt->bindParam(":update_time", $update_time);
					$stmt->execute();
			}
			break;
			
	}
	header('Location:cms_index.php?mode=1'.$errprm);
?>
