<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	ini_set("session.bug_compat_42", 0);
	ini_set("session.bug_compat_warn", 0);
	// セッションの復元
	session_start();
	// 不正アクセスチェック
	require_once 'cms_access_check.php';
	require_once 'cms_csrf_check.php';

	include("function_pdo.php");
	include("function_cms.php");
	include("src/function_cms2.php");
	
	// ユーザー名存在チェック
	$_SESSION["errmsg"] = NULL;
	if ($_POST['user'] == NULL || $_POST['user'] == "") $login = 'Error';
	$user_input = htmlspecialchars($_POST['user'], ENT_QUOTES);
	// DB存在チェックするためにユーザー名を暗号化する。
	$encode_decode	= 1;
	$user 			= encode_decode_data($encode_decode, $user_input);

	// DBへの接続（存在しない場合はDB、TABLEを作成）
	$conn = init_sqlite();
	$conn2 = init_sqlite2();

	// データベースへの問い合わせSQL文
	$sql = 'SELECT * FROM user_info
			WHERE login_name = :login_name';
	$stmt = $conn2->prepare($sql);
	$stmt->bindParam(":login_name", $user);
	$stmt->execute();
	if ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
		$encode_decode			= 0;	// 0:decode
		$_SESSION['login_name']	= encode_decode_data($encode_decode, $row['login_name']);	// 宛て先アドレス
	} else {
		// ログイン失敗
		$_SESSION["errmsg"] .= "ユーザー名（Ｅメールアドレス）は登録されておりません！<br>\n";
		$_SESSION["errmsg"] .= "ユーザー名（Ｅメールアドレス）をお忘れの場合は「admin/install.php」を再度アップロードし<br>\nインストール（「admin/install.php」をクリック）からやり直してください。<br>\n";
		header('Location:cms_login_passwd_reset.php?err=1');
		exit;
	}
	// パスワードリセット用ページの生成
	$sid 		= session_id();					// 現在のセッションのセッション IDをセット（パスワードリセット用ページへセッション情報を引き継ぐため）
	
	// 32桁16進のランダム変数をセット
	$file_temp_name = csrf_token();

	$time 			= time();
	$create_time 	= date('Y/m/d H:i:s', $time);
	
	$domain_user = domain_user();
	$file_path	= "tempsrc/setpswd".$file_temp_name.".php";
	$reset_page = httpx().'://'.$domain_user.'/hp_ref/'.$file_path;
	
	$file_contents = '<?php
	session_start();
	include("../function_cms.php");
	$domain_name = domain_user();
	?>
	<!DOCTYPE html>
	<head>
	<meta charset="UTF-8" >		
	<title>ファインエルピー｜パスワード再設定</title>
	<meta name="description" content="ホームページシティー">
	<link href="../cssfiles/common.css" rel="stylesheet" type="text/css">
	<link href="../cssfiles/cms_common.css" rel="stylesheet" type="text/css">
	<link href="../cssfiles/cms_manager.css" rel="stylesheet" type="text/css">
	</head>
	<body>
	<div id="container_login">
	<div id="cms_header">
	Ｆｉｎｅ<span class="aka4">ＬＰ</span>（ファインエルピー）
	</div>
	<div class="p_contentstitle"><?php echo $domain_name;?>｜パスワード再設定</div>
	<br class="clear_both">
	</div>
	<div id="container">
	<?php
	$file_create_time = "'.$create_time.'";
	$time 			= time();
	$now_time_1 = date("Y/m/d H:i:s" , strtotime("-1 hour"));
	if ($now_time_1 > $file_create_time) {
		echo "<div class=\"errmsg\">有効期間（１時間）が過ぎました。</div>";
		echo "</div>";
		unlink(__FILE__);
		echo "</body></html>";
		exit;
	}
	?>
	<p><span class="aka1_bold">新しいパスワードを入力し[設定]をクリックしてください。</span><br>
	※パスワードは６～３２文字以内で半角英数字と「.」「_」「-」がご使用できます。
	  </font></p>
	<br>
	<form action="../chgpwd_check.php" method="POST">
	  　　　　　新しいパスワード　
		<input type="password" name="pwd1" size="20">
		<input type="hidden" name="file_name" value="'.$file_path.'">
	<br>
	<br>
	（再入力）新しいパスワード
	　<input type="password" name="pwd2" size="20">
	<br>
	<br>
	　　　　　　　　<input type="submit" value="設定">
	</form>
	<br>
	<br>
	<?php
	if ($_GET["err"]) {
		echo "<div class=\"errmsg\">".$_SESSION["errmsg"]."</div>";
	}
	?>
	</div>
	</body>
	</html>';
	file_put_contents($file_path, $file_contents);	//ダミーページ出力
	// お問い合わせタイトル、詳細のセット
	$send_title = '【'.$domain_user.'】パスワード再設定のご案内';
	// 日本語（SJIS）の指定
	mb_language('ja');
	mb_internal_encoding('UTF-8');
	$mail_addr = $user_input;
	// Fromアドレスの設定（自動送信 送信元のアドレス）
	$name = $domain_user;
	$email = 'auto';
	$send_header = 'From: '. mb_encode_mimeheader($name) . '<' . $email .'>';
	// メール本文の編集
	$honbun = $domain_user."をご利用いただき、ありがとうございます。\n
パスワード再設定のリクエストを承りましたので、以下の手順に従って再設定してください。\n
以下のURLをクリックして、新しいパスワードを設定してください。\n
設定の手順も、以下のページでご確認いただけます。 \n".$reset_page."\n
※このページの有効期間は１時間です。\n
このEメールアドレスは配信専用です。このメッセージに返信しないようお願いいたします。\n";
	$result = mb_send_mail($mail_addr, $send_title, $honbun, $send_header);
	$uri_param 	= explode( '?', $_SERVER['REQUEST_URI'] );
	$uri_param0 = str_replace("/hp_ref/","",$uri_param[0]);
	$_SESSION["cms_login_passwd_reset_send_uri"] = $uri_param0;
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8" >
<title>Content Management System｜パスワードをお忘れの場合</title>
<meta name="description" content="finelpはランディングページ作成用CMSです。販売ページを簡単に作成できます。">
<link href="cssfiles/common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_manager.css" rel="stylesheet" type="text/css">
</head>
<body>
<div id="container_login">
<div id="cms_header">
Ｆｉｎｅ<span class="aka4">ＬＰ</span>（ファインエルピー）
</div><!-- end id="cms_header" -->
<div class="p_contentstitle"><?php echo $domain_user;?>｜パスワード再設定ページリンク送信</div>
<br class="clear_both">
</div>
<div id="container">
<?php
if ($result) {
	echo '<div class="normalmsg">パスワード再設定用ページへのリンクをＥメールでお送りしました。<br>※リンク先のページの有効期間は１時間です。</div>';
} else {
	// メール送信の失敗
	echo '<div class="errmsg">送信に失敗しました！</div>';
}
//echo '$mail_addr='.$mail_addr;	// test
?>
</div><!-- end .container -->
<script type="text/javascript">window.focus();</script>
</body>
</html>
