<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
session_start();
include 'function_pdo.php';
include 'function_cms.php';

// DBへの接続（存在しない場合はDB、TABLEを作成）
$conn = init_sqlite();

$sql = "SELECT * FROM header_tbl";
$stmt = $conn->prepare($sql);
$stmt->execute();
if ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
	$id 			= $row["id"];
	$sql_tmp = "update header_tbl set
					logoimg_url			= :logoimg_url,
					logoname			= :logoname,
					update_time 		= :update_time
					where id			= :id";
	if (isset($_SESSION['upload_name']) && $_SESSION['upload_name'] <> "" && $_SESSION['upload_name'] <> NULL) {
		$file_name_old = $_SESSION['upload_name'];
		$file_name_new = str_replace("header_tbl_logoimg_url_0", "header_tbl_logoimg_url_".$row["id"], $_SESSION['upload_name']);
		$file_path_old = "data/uploads/".$file_name_old;
		$file_path_new = "data/uploads/".$file_name_new;
		rename($file_path_old, $file_path_new);
		$logoimg_url	= $file_name_new;
	}else{
		$logoimg_url		= $row['logoimg_url'];	
	}
	$logoname	= NULL;
	
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":logoimg_url", $logoimg_url);
	$stmt->bindParam(":logoname", $logoname);
  //更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}else{
	$logoimg_url 		= $_SESSION['upload_name'];
	$logoname			= NULL;
	$logo_padding_top	= 0;
	$logo_padding_left 	= 0;
	$header_text		= NULL;
	$text_padding_top	= 0;
	$text_padding_left	= 0;
	$id = insert_header_tbl($conn, $logoimg_url, $logoname, $logo_padding_top, $logo_padding_left, $header_text, $text_padding_top, $text_padding_left);
	
	$file_name_old = $_SESSION['upload_name'];
	$file_name_new = str_replace("header_tbl_logoimg_url_0", "header_tbl_logoimg_url_".$id, $_SESSION['upload_name']);
	$file_path_old = "data/uploads/".$file_name_old;
	$file_path_new = "data/uploads/".$file_name_new;
	rename($file_path_old, $file_path_new);
	$logoimg_url	= $file_name_new;
	update_header_tbl($conn, $id, $logoimg_url, $logoname, $logo_padding_top, $logo_padding_left, $header_text, $text_padding_top, $text_padding_left);
}
print "<script type=\"text/javascript\">window.opener.location.reload();</script>";	// 親ページを更新する。
print "<script type=\"text/javascript\">window.opener.focus();</script>";			// 親ページを前面に表示する。
print "<script type=\"text/javascript\">window.open(\"about:blank\",\"_self\").close();</script>";	// 自分自身を閉じる。

?>
