<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	date_default_timezone_set('Asia/Tokyo');
	// セッションの復元
	session_start();
	require_once 'cms_access_check.php';		// 不正アクセスチェック
	require_once 'check_login_message.php';		// ログインチェック
	include 'function_pdo.php';
	include 'function_pdo_shop.php';
	include 'function_pdo_shop_ipn.php';
	include 'function_cms.php';
	// DBへの接続（存在しない場合はDB、TABLEを作成）
	$conn = init_sqlite();
	$connshp = init_sqlite_shop();
	$connshpipn = init_sqlite_shop_ipn();
	
	$uri_param 	= explode( '?', $_SERVER['REQUEST_URI'] );
	$uri_param0 = str_replace("/hp_ref/","",$uri_param[0]);
	$_SESSION["uri_mail_at_once_entry"] = $uri_param0;
	
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8" >
<title>Content Management System｜メール宛先管理</title>
<meta name="description" content="finelpはランディングページ作成用CMSです。販売ページを簡単に作成できます。">
<link href="cssfiles/common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_contents_page.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_manager.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="jQuery/jquery-3.2.1.min.js"></script>
<script type="text/javascript" src="js/cms_proc.js"></script>
<script type="text/javascript">
jQuery(function(){
	$('#all_mail_sel').change(function(){
		if ($(this).is(':checked')) {
			$('.mail_sel').prop('checked', true);
			$('#all_mail_free').prop('checked', false);
		}
	});	
	$('#all_mail_free').change(function(){
		if ($(this).is(':checked')) {
			$('.mail_sel').prop('checked', false);
			$('#all_mail_sel').prop('checked', false);
		}
	});	
	$('.mail_sel').change(function(){
		if ($(this).is(':checked')) {
			$('#all_mail_free').prop('checked', false);
		}else{
			$('#all_mail_sel').prop('checked', false);
		}
	});	
})
</script>
</head>
<body>
<div id="container">
<div id="contents_page"><!-- CMSコンテンツ start -->
<div id="mainarea"><!-- メインコンテンツ start -->
<div class="p_contentstitle">メール宛先選択</div>
 <br class="clear_both">
    	<div class="p_login">
    	Login: <b><?php echo $_SESSION['name']; ?></b><a href="cms_logout.php">【ログアウト】</a>
		</div>
        <br class="clear_both">
<div class="p_contents_subarea">
<span class="aka2"></span>
<div class="p_proc_title_manager">メール宛先の選択</div>
    <p>宛先のメールアドレスを選択して[決定]をクリックしてください。</p>
</div>
<br class="clear_both">	
<form action="cms_manager_mail_at_once_address_sel_dbsave.php" method="POST">
<table cellpadding="2" cellspacing="0" style="font-size:14px;">
<tr>
<td class="p_tdhs">選択<br>全て選択<input type="checkbox" name="all_mail_sel" id="all_mail_sel" value="1" style="vertical-align:middle;"><br>全て解除<input type="checkbox" name="all_mail_sel" id="all_mail_free" value="1" style="vertical-align:middle;"></td><td class="p_tdh">メールアドレス</td><td class="p_tdh">氏名</td><td class="p_tdh">氏名（カナ）</td>
</tr>
<?php
$sql = "SELECT * FROM customer_info WHERE (mail_magazine = 1) ORDER BY update_time DESC";
//echo "<br>sql=".$sql;		// debug
$stmtcs = $connshp->prepare($sql);
$stmtcs->execute();
while($rowcs = $stmtcs->fetch(PDO::FETCH_ASSOC)) {
	if ($_SESSION["mail_sel_".$rowcs["id"]] == 1) {
		$check_value = "checked";
	}else{
		$check_value = NULL;
	}
	echo '<tr>';
	echo '<td class="p_tds"><input type="checkbox" name="mail_sel_'.$rowcs["id"].'" class="mail_sel" value="1" '.$check_value.'></td><td class="p_td">'.$rowcs["e_mail"].'</td><td class="p_td">'.$rowcs["name"].'</td><td class="p_td">'.$rowcs["name_kana"].'</td>';
	echo '</tr>';
}
$sql = "SELECT * FROM customer_info_ipn WHERE (mail_magazine = 1) ORDER BY update_time DESC";
//echo "<br>sql=".$sql;		// debug
$stmtcs = $connshpipn->prepare($sql);
$stmtcs->execute();
while($rowcs = $stmtcs->fetch(PDO::FETCH_ASSOC)) {
	if ($_SESSION["ipn_mail_sel_".$rowcs["id"]] == 1) {
		$check_value = "checked";
	}else{
		$check_value = NULL;
	}
	echo '<tr>';
	echo '<td class="p_tds"><input type="checkbox" name="mail_sel_'.$rowcs["id"].'" class="mail_sel" value="1" '.$check_value.'></td><td class="p_td">'.$rowcs["e_mail"].'</td><td class="p_td">'.$rowcs["name"].'</td><td class="p_td">'.$rowcs["name_kana"].'</td>';
	echo '</tr>';
}
	
?>
</table>
<br class="clear_both">
<?php
if (isset($_GET["err"])) {
	if ($_GET["err"]) {
		echo '<div class="errmsg">'.$_SESSION["errmsg"].'</div>';
		echo '<br class="clear_both">';	
	}
}
if (isset($_GET["dbsave"])) {
	if ($_GET["dbsave"]) {
		$seconds = ($_GET["sel_cnt"] - 1) * 4;
		//$seconds = (10000 - 1) * 4;				// test
		$hours = floor($seconds / 3600);
		$minutes = floor(($seconds / 60) % 60);
		$seconds = $seconds % 60;
		$hms = sprintf("%02d時間%02d分%02d秒", $hours, $minutes, $seconds);
		echo '<div class="normalmsg">決定しました！<br>'.$_GET["sel_cnt"] .'件選択されました。最短で'.$hms.'かかります。</div>';
		echo '<br class="clear_both">';
		echo '
		<script type="text/javascript">
		jQuery(function(){
			window.opener.$("#send_edit_mail_sel").text("　選択済み");
		});	
		</script>';	
	}
}
?>
<div class="p_button_kakunin4"><input type="submit" value="決定" name="proc"></div>
<div class="p_button_modoru2"><input type="button" value="閉じる" onClick="window.open('about:blank','_self').close();"></div>
</form>
<br class="clear_both">
</div>
</div>
</div>
<!-- end .container --></div>
</body>
<script type="text/javascript">window.focus();</script>
</html>
