<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	ini_set("session.bug_compat_42", 0);
	ini_set("session.bug_compat_warn", 0);
	// セッションの復元
	session_start();
	require_once 'cms_access_check.php';		// 不正アクセスチェック
	require_once 'check_login_message.php';		// ログインチェック
	include 'function_pdo.php';
	include 'function_pdo_shop.php';
	include 'function_cms.php';
	include 'src/function_cms2.php';
	// DBへの接続（存在しない場合はDB、TABLEを作成）
	$conn = init_sqlite();
	$conn2 = init_sqlite2();
	$connshp 	= init_sqlite_shop();			// ネットショップ関連TABLEを作成、関数を定義
	$param_array 	= explode("?",$_SERVER['REQUEST_URI']);
	$param_toiawase	= $param_array[1];
	$_SESSION["title_input"]	= $_POST["title_input"];
	$_SESSION["contents_input"]	= $_POST["contents_input"];
	$_SESSION["errmsg"] = NULL;
	if (isset($_GET["resend"])) {
		if (!$_GET["resend"]) {
			if (!$_SESSION["mail_address_sel"])		$_SESSION["errmsg"] .= "メールアドレスが選択されていません！<br>\n";
			if ($_POST["title_input"] == NULL) 		$_SESSION["errmsg"] .= "タイトルが入力されていません！<br>\n";
			if (is_contents_null($_POST["contents_input"])) $_SESSION["errmsg"] .= "本文が入力されていません！";
		}else{								// 再送信の場合
			if ($_POST["e_mail_input"] == NULL) 		$_SESSION["errmsg"] .= "メールアドレスが入力されていません！<br>\n";
		}
	}else{
			if (!$_SESSION["mail_address_sel"])		$_SESSION["errmsg"] .= "メールアドレスが選択されていません！<br>\n";
			if ($_POST["title_input"] == NULL) 		$_SESSION["errmsg"] .= "タイトルが入力されていません！<br>\n";
			if (is_contents_null($_POST["contents_input"])) $_SESSION["errmsg"] .= "本文が入力されていません！";
	}
	if ($_SESSION["errmsg"] <> NULL) {
		if (!$_GET["resend"]) {
			header('Location: cms_manager_mail_at_once_send_edit.php?err=1');
		}else{
			header('Location: cms_manager_mail_at_once_send_result_dsp_honbun.php?err=1');
		}
		exit;
	}
	//*************************************************************************************
	// メール一斉送信予定アドレス(mail_at_once_send_plan_address)受け渡し用に登録する。
	//*************************************************************************************
	// メール一斉送信予定タイトル本文(mail_at_once_send_plan_title_honbun)受け渡し用に登録する。
	if (isset($_GET["resend"])) {							// 再送信の場合(resendは1のみ)
			$title 	= $_SESSION["title"];
			$honbun = $_SESSION["honbun"];
			// mail_at_once_send_plan_addressを初期化（全データを削除）する。
			$sql_tmp = "DELETE FROM mail_at_once_send_plan_address";
			$stmt = $connshp->prepare($sql_tmp);
			$stmt->execute();
			$mail_address 	= $_POST["e_mail_input"];
			$name 			= $_SESSION["name"];
			$name_kana 		= $_SESSION["name_kana"];
			$id = insert_mail_at_once_send_plan_address($connshp, $mail_address, $name, $name_kana);
	}else{	
			$title 	= $_POST["title_input"];
			$honbun = $_POST["contents_input"];
	}
	$plan_title_honbun_id = insert_mail_at_once_send_plan_title_honbun($connshp, $title, $honbun);
	if (!isset($_GET["resend"])) {							// 再送信以外の場合（resendは1のみ）
		// DB上の画像ファイル名を変更する。"contents_access_map_data_0"
		//$old_file_path = $_SESSION['upload_name'];
		$old_file_name_subsrt = "mail_at_once_send_plan_title_honbun_0_";
		$new_file_name_subsrt = "mail_at_once_send_plan_title_honbun_". $plan_title_honbun_id."_";
		// DB上の画像ファイル名を変更
		$id		= $plan_title_honbun_id;
		$honbun = str_replace($old_file_name_subsrt, $new_file_name_subsrt, $honbun);
		update_mail_at_once_send_plan_title_honbun($connshp, $id, $title, $honbun);
		//**********************************************************
		// 記事中に存在しない画像ファイルをサーバーから削除する。
		//**********************************************************
		$db_proc				= "add";
		$contents 				= $honbun;
		$img_using_table_name	= "mail_at_once_send_plan_title_honbun";
		$img_using_table_id		= $plan_title_honbun_id;
		upload_img_del($conn2, $db_proc, $contents, $img_using_table_name, $img_using_table_id);
	}
	if (!isset($_GET["resend"])) {							// resendは1のみ	
		$dsp_proc = "メール一斉送信";
	}else{
		$dsp_proc = "メール再送信";
	}
	// メールタイトルと本文を受け渡し用DBから取得する。
	$sql = "SELECT * FROM mail_at_once_send_plan_title_honbun WHERE id = ".$plan_title_honbun_id;
	$stmt = $connshp->prepare($sql);
	$stmt->execute();
	if ($rowth = $stmt->fetch(PDO::FETCH_ASSOC)) {
		$title 	= $rowth["title"];
		$honbun = $rowth["honbun"];
		$result_honbun_id = insert_mail_at_once_sent_result_honbun($connshp, $title, $honbun);
	}else{
		echo "不具合が発生しました。しばらくしてから再度行ってください。";
		exit;
	}
	// 選択されたメールの宛先を受け渡し用DBから取得し配列とメール一斉送信結果テーブルにセットする。
	$address_sel = false;
	$cnt = 0;
	$sql = "SELECT * FROM mail_at_once_send_plan_address";
	$stmt = $connshp->prepare($sql);
	$stmt->execute();
	while($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
		$address_sel = true;
		$mail_address_array[$cnt] 	= $row["mail_address"];
		$name_array[$cnt] 			= $row["name"];
		$mail_address				= $row["mail_address"];
		$name			 			= $row["name"];
		$name_kana					= $row["name_kana"];
		$title						= $rowth["title"];
		$result						= 9;					// 未送信
		$id = insert_mail_at_once_sent_result($connshp,$result_honbun_id, $mail_address, $name, $name_kana, $title, $result);
		$sent_result_id_array[$cnt] = $id;
		$cnt = $cnt + 1;
	}
	$max_cnt = $cnt;
	// 日本語（UTF-8）の指定
	mb_language("Ja") ;
	mb_internal_encoding("UTF-8");
	// ヘッダー情報
	$header_info="From: ".$_SESSION["login_name"]."\nContent-Type: text/html;charset=ISO-2022-JP\nX-Mailer: PHP/".phpversion();

	$send_title = $title;
	$err_recive	= "-f ".$_SESSION["login_name"];
	$honbun		= link_rel_to_abs_for_htmlmail($honbun);
	$php_path_array = explode( '/', user_domain().$_SERVER["SCRIPT_NAME"]);
	$cnt			= count($php_path_array);
	$php_path		= NULL;
	for($i=0;$i<$cnt-1;$i++){
		$php_path .= $php_path_array[$i]."/";
	}
	// HTMLメール本文の編集
	for($cnt=0;$cnt<=$max_cnt;$cnt++){
		// HTMLメール本文の編集
		$body_html = '<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">';
		$body_html .= '<html lang="ja">';
		$body_html .= '<head>';
		$body_html .= '<meta http-equiv="Content-Type" Content="text/html;charset=iso-2022-jp">';
		$body_html .= '<link rel="stylesheet" href="'.$php_path.'css/lightbox.css" type="text/css" media="screen" >';
		$body_html .= '<link href="'.$php_path.'cssfiles/wysiwyg_for_htmlmail.css" rel="stylesheet" type="text/css">';
		$body_html .= '<script src="'.$php_path.'jQuery/jquery-3.2.1.min.js"></script>';
		$body_html .= '<script src="'.$php_path.'js/lightbox.min.js"></script>';
		$body_html .= '</head>';
		$body_html .= '<body>';
		$body_html .= $name_array[$cnt].'　様<br><br>';
		$body_html .= $honbun;
		$body_html .= '</body>';
		$body_html .= '<script>
							jQuery(function() {
								jQuery(".edit_area1").css("min-height","0px");;
							});
					  </script>';
		$body_html .= '</html>';
		
		$mailto = $mail_address_array[$cnt];
		$result = mb_send_mail($mailto, $send_title, $body_html, $header_info, $err_recive);
		// 送信結果を宛先別にメール一斉送信結果テーブル(mail_at_once_sent_result)に保存する。
		$id 			= $sent_result_id_array[$cnt];
		$sql_tmp = "update mail_at_once_sent_result set 
						result			= :result,
						update_time 	= :update_time
						where id		= :id";
		$stmt = $connshp->prepare($sql_tmp);
		$stmt->bindParam(":id", $id);
		$stmt->bindParam(":result", $result);
		//更新日時
		$time 			= time();
		$update_time 	= date('Y/m/d H:i:s', $time);
		$stmt->bindParam(":update_time", $update_time);
		$stmt->execute();
	}
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8" >
<link href="cssfiles/common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_contents_page.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_manager.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="jQuery/jquery-3.2.1.min.js"></script>
<script type="text/javascript" src="js/cms_proc.js"></script>
</head>
<body>
<div id="container_cms">
<div id="mainarea_contents_cms" style="text-align:left;">
<div class="p_proc_title_cms">　<?php echo $dsp_proc;?></div>
<div class="p_qa_guide">
<br class="clear_both">
<strong><?php echo $dsp_proc;?>を開始しました。</strong><br><br>
</div>
<br class="clear_both">
<div class="p_button">
    <a href="cms_manager_mail_at_once_send_result_dsp.php"><div class="basic_btn" style="float:left;margin-left:300px;">送信結果を表示</div></a>
</div>

</div>
</div>
<br class="clear_both">
</body>
<script type="text/javascript">window.focus();</script>
</html>

