<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	date_default_timezone_set('Asia/Tokyo');
	// セッションの復元
	session_start();
	require_once 'cms_access_check.php';		// 不正アクセスチェック
	require_once 'check_login_message.php';		// ログインチェック
	include 'function_pdo.php';
	include 'function_pdo_shop.php';
	include 'function_cms.php';
	// DBへの接続（存在しない場合はDB、TABLEを作成）
	$conn = init_sqlite();
	$connshp = init_sqlite_shop();			// ネットショップ関連TABLEを作成、関数を定義
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8" >
<title>Content Management System｜メール宛先管理</title>
<meta name="description" content="finelpはランディングページ作成用CMSです。販売ページを簡単に作成できます。">
<link href="cssfiles/common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_contents_page.css" rel="stylesheet" type="text/css">
<link href="cssfiles/wysiwyg.css" rel="stylesheet" type="text/css"><!-- レイアウト、書式等設定 -->
<link href="cssfiles/cms_manager.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="jQuery/jquery-3.2.1.min.js"></script>
<script type="text/javascript" src="js/cms_proc.js"></script>
<script type="text/javascript">
jQuery(function(){
	$('#err').change(function(){
		if ($(this).is(':checked')) {
			$('.class_err').show();
			$('.class_normal').hide();
			$('.class_misousin').hide();
			$('#misousin').prop('checked', false);
			$('#normal').prop('checked', false);
			$('#all').prop('checked', false);
		}
	});
	$('#misousin').change(function(){
		if ($(this).is(':checked')) {
			$('.class_err').hide();
			$('.class_normal').hide();
			$('.class_misousin').show();
			$('#err').prop('checked', false);
			$('#normal').prop('checked', false);
			$('#all').prop('checked', false);
		}
	});
	$('#normal').change(function(){
		if ($(this).is(':checked')) {
			$('.class_err').hide();
			$('.class_normal').show();
			$('.class_misousin').hide();
			$('#misousin').prop('checked', false);
			$('#err').prop('checked', false);
			$('#all').prop('checked', false);
		}
	});
	$('#all').change(function(){
		if ($(this).is(':checked')) {
			$('.class_err').show();
			$('.class_normal').show();
			$('.class_misousin').hide();
			$('#misousin').prop('checked', false);
			$('#err').prop('checked', false);
			$('#normal').prop('checked', false);
		}
	});
	
})
</script>
</head>
<body>
<div id="container" style="text-align:left;">
<br>
<?php
if ($_GET["taisho"] == "all") {
	echo '　表示対象：　　<input type="checkbox" name="err" id="err" value="2">エラー　<input type="checkbox" name="misousin" id="misousin" value="9">未送信　<input type="checkbox" name="normal" id="normal" value="1">正常　<input type="checkbox" name="all" id="all" value="999">全て';
	echo '<br>';
}
echo '　※エラーとなった宛先へは再送信できます。<br>';
if ($_GET["taisho"] == "normal") {
	$cond = "WHERE result = 1 and result_honbun_id = ".$_GET["result_honbun_id"];
}else
if ($_GET["taisho"] == "error") {
	$cond = "WHERE result = 0 and result_honbun_id = ".$_GET["result_honbun_id"];
}else
if ($_GET["taisho"] == "misousi") {
	$cond = "WHERE result = 9 and result_honbun_id = ".$_GET["result_honbun_id"];
}else{
	$cond = "WHERE result_honbun_id = ".$_GET["result_honbun_id"];
}
$dsp_result[0]	= "エラー";
$dsp_result[1]	= "正常";
$dsp_result[9]	= "未送信";
$dsp_class[0]	= "class_err";
$dsp_class[1]	= "class_normal";
$dsp_class[9]	= "class_misousin";
echo '<table cellpadding="2" cellspacing="0" style="font-size:14px;margin-top:10px;">';
echo '<tr><td class="p_tdhs">タイトル</td><td class="p_tdh">宛先メールアドレス</td><td class="p_tdh">氏名</td><td class="p_tdh">氏名（カナ）</td><td class="p_tdh">送信結果</td><td class="p_tdh">送信日時</td></tr>';
$sql = "SELECT * FROM mail_at_once_sent_result ".$cond." ORDER BY update_time DESC";
$stmt = $connshp->prepare($sql);
$stmt->execute();
while($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
	$result = $row["result"];
	if ($row["result"] == 0) {
		$resend_value = 1;					// エラーの時のみ再送信可能とする。
	}else{
		$resend_value = 0;
	}
	echo '<tr class="'.$dsp_class[$result].'">';
	echo '<td class="p_tds" style="text-align:left"><a href="cms_manager_mail_at_once_send_result_dsp_honbun.php?id='.$row["id"].'&result_honbun_id='.$row["result_honbun_id"].'&resend='.$resend_value.'" target="_new">'.$row["title"].'</a></td><td class="p_td" style="text-align:left">'.$row["mail_address"].'</td><td class="p_td" style="text-align:left">'.$row["name"].'</td><td class="p_td" style="text-align:left">'.$row["name_kana"].'</td>';
	echo '<td class="p_td">'.$dsp_result[$result].'</td><td class="p_td">'.$row["update_time"].'</td>';
	echo '</tr>';
}
echo '</table>';
echo '<br class="clear_both">';
?>
<div class="btn"><input type="button" value="閉じる" title="閉じる" onClick="return_focus2();"></div>
</div>
</body>
<script type="text/javascript">window.focus();</script>
</html>
