<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	ini_set("session.bug_compat_42", 0);
	ini_set("session.bug_compat_warn", 0);
	// セッションの復元
	session_start();
	include 'function_cms.php';
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8" >
<title>Content Management System｜動画スライド１の編集</title>
<meta name="description" content="finelpはランディングページ作成用CMSです。販売ページを簡単に作成できます。">
<link href="cssfiles/cms_slide1_mng.css" rel="stylesheet" type="text/css">
</head>
<body style="background-color: #F7F3EA;">
<?php
	// ファイル名の取り出し
	$file_name = $_FILES['filename']['name'];
	if ($file_name == null){
		if ($_SESSION['upload_name_slide'] <> NULL) {				// 確認ページからの戻り
			echo '<div class="p_sel_img">';
			$dsp_contents = $_SESSION['upload_name_slide'];	
			echo '<img src="'.$dsp_contents.'">';
			echo '</div>';
			exit;
		}else{
			$_SESSION['upload_name_slide'] = NULL;
			echo '<span class="p_edit_guide">画像ファイルを選択してください。</span>';
			exit;
		}
		
	}
	// [参照]のクリック後[選択画像確認]がクリックされた場合
	// ファイル（MIME）タイプの取り出し
	$file_type = $_FILES['filename']['type'];
	// 一時ファイル名の取り出し
	$temp_name = $_FILES['filename']['tmp_name'];
	// 保存先のファイル名
	$time 			= time();
	$now_time 	= date('YmdHis', $time);	//画像ファイル名が重複しないようにする。
	$file_name_arry = explode(".", $file_name);		//ファイル名と拡張子を分離して取り出す。
	$upload_name_slide = 'data/uploads_slide/img_slide1_img1_url_0.' . $file_name_arry[1];	// 実際にアップロードする画像パス
	$_SESSION['upload_name_slide'] = $upload_name_slide;					//回転を指定され直した場合の削除用
	
	// JPEG or PNG pr GIF形式のファイルをアップロードする
	if (($file_type == 'image/jpeg') || ($file_type == 'image/pjpeg') || 
		($file_type == 'image/png')  || ($file_type == 'image/x-png')   ||
		($file_type == 'image/gif')) {	
		//echo "<br>upload";
		// 画像サイズをホームページ用に変更する。
		// 画像の幅と高さを取り出す
		$image_size = getimagesize($temp_name);
		$width = $image_size[0];
		$height = $image_size[1];
		//ホームページ用画像サイズを算出する。
		$w_max = 960;				//横幅MAX
		$h_max = 320;				//縦MAX
		$after_width 	= $w_max;
		$after_height 	= $height*($w_max/$width);
		if (($file_type == 'image/jpeg') || ($file_type == 'image/pjpeg') ) {
			$source = imagecreatefromjpeg($temp_name);
			$resize_img = imagecreatetruecolor($after_width, $after_height);
			$bg_color = imagecolorallocatealpha($resize_img, 255, 255, 255, 127);
			imagefill($resize_img, 0, 0 , $bg_color);
			imagesavealpha($resize_img, TRUE);
			imagecopyresampled($resize_img, $source, 0, 0, 0, 0, $after_width, $after_height, $width, $height);
			$after_img = $resize_img;								//回転指定なしの場合
			imagejpeg($after_img,$upload_name_slide);
			imagedestroy($source);

		} elseif (($file_type == 'image/png')  || ($file_type == 'image/x-png')){
			$source = imagecreatefrompng($temp_name);
			$resize_img = imagecreatetruecolor($after_width, $after_height);
			$bg_color = imagecolorallocatealpha($resize_img, 255, 255, 255, 127);
			imagefill($resize_img, 0, 0 , $bg_color);
			imagesavealpha($resize_img, TRUE);
			imagecopyresampled($resize_img, $source, 0, 0, 0, 0, $after_width, $after_height, $width, $height);
			$after_img = $resize_img;								//回転指定なしの場合
			imagepng($after_img,$upload_name_slide);
			imagedestroy($source);
		} else {														//gifの場合
			$source = imagecreatefromgif($temp_name);
			$resize_img = imagecreatetruecolor($after_width, $after_height);
			$bg_color = imagecolorallocatealpha($resize_img, 255, 255, 255, 127);
			imagefill($resize_img, 0, 0 , $bg_color);
			imagesavealpha($resize_img, TRUE);
			imagecopyresampled($resize_img, $source, 0, 0, 0, 0, $after_width, $after_height, $width, $height);
			$after_img = $resize_img;								//回転指定なしの場合
			imagegif($after_img,$upload_name_slide);
			imagedestroy($source);
		}
	} else {
		// JPEG、PNG、GIF形式以外のファイルはアップロードしない
		echo '■JPEG、PNG、GIF形式の画像を選択してください。';
	}
?>
<div class="p_sel_img">
<img src="<?php echo $upload_name_slide; ?>">
</div>
</body>
</html>
