<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
// データベースの初期設定(SQLite)
function init_sqlite_shop_ipn() {
	// DB接続
	include 'function_parts_db_connect_shop_ipn.php';

	//paypalIPN情報テーブルが存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS paypal_ipn_info (
				id 						INTEGER PRIMARY KEY AUTOINCREMENT,
				txn_id					TEXT,
				country					TEXT,
				yubin_no				TEXT,
				todofuken				TEXT,
				city					TEXT,
				chomei_cho_banchi_go	TEXT,
				customer_address_name	TEXT,
				customer_last_name		TEXT,
				customer_first_name		TEXT,
				payer_email				TEXT,
				receiver_id				TEXT,
				business				TEXT,
				receiver_email			TEXT,
				syohizei				INTEGER,
				payment_amount			INTEGER,
				num_cart_items			INTEGER,
				paypal_payment_status	TEXT,
				pending_reason			TEXT,		
				payment_currency		TEXT,
				mc_fee					INTEGER,
				update_time 			TEXT NOT NULL
			)";
	$stmt = $connshpipn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx1_paypal_ipn_info on paypal_ipn_info (update_time)";
	$stmt = $connshpipn->prepare($sql);
	$stmt->execute();
	//paypal_logテーブルが存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS paypal_log (
				id 						INTEGER PRIMARY KEY AUTOINCREMENT,
				trace_no				TEXT,
				log						TEXT,
				raw_post_data			TEXT,
				update_time 			TEXT NOT NULL
			)";
	$stmt = $connshpipn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx1_paypal_log on paypal_log (update_time)";
	$stmt = $connshpipn->prepare($sql);
	$stmt->execute();
	//顧客情報テーブル「customer_info_ipn」が存在しない場合は、テーブルを作成
	$table_name = "customer_info_ipn";	// テーブル名
	$dbh		= $connshpipn;			// データベースハンドラ
	include 'function_pdo_shop_parts_create_customer_info.php';
	
	//顧客購入履歴テーブルが存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS customer_buy_history_ipn (
				id 						INTEGER PRIMARY KEY AUTOINCREMENT,
				order_info_id			INTEGER,
				customer_info_id		INTEGER,
				customer_id				TEXT,
				order_date				TEXT,
				buy_date				TEXT,
				toroku_time				TEXT,
				update_time 			TEXT NOT NULL
			)";
	$stmt = $connshpipn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx1_customer_buy_history_ipn on customer_buy_history_ipn (order_info_id)";
	$stmt = $connshpipn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx2_customer_buy_history_ipn on customer_buy_history_ipn (customer_info_id)";
	$stmt = $connshpipn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx3_customer_buy_history_ipn on customer_buy_history_ipn (customer_id)";
	$stmt = $connshpipn->prepare($sql);
	$stmt->execute();

	//受注情報テーブルが存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS order_info_ipn (
				id 						INTEGER PRIMARY KEY AUTOINCREMENT,
				customer_info_id		INTEGER,
				section_id				INTEGER,
				cta_btn_no				INTEGER,
				cta_proc_no				INTEGER,
				order_id				TEXT,
				customer_id				TEXT,
				order_date				TEXT,
				tesuryo					INTEGER,
				use_point				INTEGER,
				add_point				INTEGER,
				wari_gaku				INTEGER,
				syohizei				INTEGER,
				keigenzei				INTEGER,
				shipping				INTEGER,
				total_price				INTEGER,
				num_cart_items			INTEGER,
				siharai_hoho			INTEGER,
				renraku_jiko			TEXT,
				nyukin_status			INTEGER,
				nyukin_date				TEXT,
				toroku_time				TEXT,
				update_time 			TEXT NOT NULL
			)";
	$stmt = $connshpipn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx1_order_info_ipn on order_info_ipn (customer_info_id)";
	$stmt = $connshpipn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx3_order_info_ipn on order_info_ipn (section_id)";
	$stmt = $connshpipn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx4_order_info_ipn on order_info_ipn (order_id)";
	$stmt = $connshpipn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx5_order_info_ipn on order_info_ipn (customer_id)";
	$stmt = $connshpipn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx6_order_info_ipn on order_info_ipn (update_time)";
	$stmt = $connshpipn->prepare($sql);
	$stmt->execute();
	//受注商品情報テーブルが存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS order_item_info_ipn (
				id 						INTEGER PRIMARY KEY AUTOINCREMENT,
				order_info_id			INTEGER,
				order_id				TEXT,
				cart_item_no			INTEGER,
				catalog_id				INTEGER,
				item_code				TEXT,
				item_name				TEXT,
				item_img_path			TEXT,
				opt_name				TEXT,
				opt_naiyo				TEXT,
				price					INTEGER,
				suryo					INTEGER,
				shipping				INTEGER,
				tesuryo					INTEGER,
				discount				INTEGER,
				total_price				INTEGER,
				uti_soto				INTEGER,
				zei_kbn					INTEGER,
				hattyu_suryo			INTEGER,
				hattyu_date				TEXT,
				siire_suryo				INTEGER,
				siire_date				TEXT,
				hasso_suryo				INTEGER,
				hasso_date				TEXT,
				henpin_suryo			INTEGER,
				henpin_renraku_date		TEXT,
				henpin_date				TEXT,
				juchu_date				TEXT,
				update_time 			TEXT NOT NULL
			)";
	$stmt = $connshpipn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx1_order_item_info_ipn on order_item_info_ipn (order_info_id)";
	$stmt = $connshpipn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx2_order_item_info_ipn on order_item_info_ipn (order_id)";
	$stmt = $connshpipn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx3_order_item_info_ipn on order_item_info_ipn (catalog_id)";
	$stmt = $connshpipn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx4_order_item_info_ipn on order_item_info_ipn (item_code)";
	$stmt = $connshpipn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx5_order_item_info_ipn on order_item_info_ipn (juchu_date)";
	$stmt = $connshpipn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx6_order_item_info_ipn on order_item_info_ipn (update_time)";
	$stmt = $connshpipn->prepare($sql);
	$stmt->execute();
	
    return $connshpipn;
}

//データの追加（paypalIPN情報）
function insert_paypal_ipn_info($connshpipn, $txn_id, $country, $yubin_no, $todofuken, $city, $chomei_cho_banchi_go, $customer_address_name, $customer_last_name, $customer_first_name, $payer_email, $receiver_id, $business, $receiver_email, $syohizei, $payment_amount, $num_cart_items, $paypal_payment_status, $pending_reason, $payment_currency, $mc_fee) {
	$sql_tmp = "insert into paypal_ipn_info(txn_id, country, yubin_no, todofuken, city, chomei_cho_banchi_go, customer_address_name, customer_last_name, customer_first_name, payer_email, receiver_id, business, receiver_email, syohizei, payment_amount, num_cart_items, paypal_payment_status, pending_reason, payment_currency, mc_fee, update_time)
								values(:txn_id, :country, :yubin_no, :todofuken, :city, :chomei_cho_banchi_go, :customer_address_name, :customer_last_name, :customer_first_name, :payer_email, :receiver_id, :business, :receiver_email, :syohizei, :payment_amount, :num_cart_items, :paypal_payment_status, :pending_reason, :payment_currency, :mc_fee, :update_time)";
	$stmt = $connshpipn->prepare($sql_tmp);
	$stmt->bindParam(":txn_id", $txn_id);
	$stmt->bindParam(":country", $country);
	$stmt->bindParam(":yubin_no", $yubin_no);
	$stmt->bindParam(":todofuken", $todofuken);
	$stmt->bindParam(":city", $city);
	$stmt->bindParam(":chomei_cho_banchi_go", $chomei_cho_banchi_go);
	$stmt->bindParam(":customer_address_name", $customer_address_name);
	$stmt->bindParam(":customer_last_name", $customer_last_name);
	$stmt->bindParam(":customer_first_name", $customer_first_name);
	$stmt->bindParam(":payer_email", $payer_email);
	$stmt->bindParam(":receiver_id", $receiver_id);
	$stmt->bindParam(":business", $business);
	$stmt->bindParam(":receiver_email", $receiver_email);
	$stmt->bindParam(":syohizei", $syohizei);
	$stmt->bindParam(":payment_amount", $payment_amount);
	$stmt->bindParam(":num_cart_items", $num_cart_items);
	$stmt->bindParam(":paypal_payment_status", $paypal_payment_status);
	$stmt->bindParam(":pending_reason", $pending_reason);
	$stmt->bindParam(":payment_currency", $payment_currency);
	$stmt->bindParam(":mc_fee", $mc_fee);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $connshpipn->lastInsertId();
	return $id;
}
//データの追加（paypal_log）
function insert_paypal_log($connshpipn, $trace_no, $log, $raw_post_data) {
	$sql_tmp = "insert into paypal_log(trace_no, log, raw_post_data, update_time)
								values(:trace_no, :log, :raw_post_data, :update_time)";
	$stmt = $connshpipn->prepare($sql_tmp);
	$stmt->bindParam(":trace_no", $trace_no);
	$stmt->bindParam(":log", $log);
	$stmt->bindParam(":raw_post_data", $raw_post_data);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $connshpipn->lastInsertId();
	return $id;
}
//データの追加（顧客情報customer_info）
function insert_customer_info_ipn($connshpipn, $data_kbn, $related_data_id, $info_title, $name, $name_kana, $zipa, $zipb, $todofuken, $city, $areabanchi, $tatemono, $e_mail, $paypal_email, $e_mail2, $tel_no, $tel_no2, $fax_no, 
								$seibetu, $job, $birthday, $dsp_free1, $free1_input, $dsp_free2, $free2_input, $dsp_free3, $free3_input, $kessai, $pswd, $pswd_question1, $pswd_question1_answer, $pswd_question2, $pswd_question2_answer, 
								$firstdate_buy, $lastdate_buy, $konyukaisu, $total_amount, $point, $henpin_kaisu, $memo, $mail_magazine, $buy_input_send_status) {
	$sql = 'select * FROM customer_info_ipn WHERE e_mail = "'.$e_mail.'"';
    $stmt = $connshpipn->prepare($sql);
    $stmt->execute();
	if (!($row1 = $stmt->fetch(PDO::FETCH_ASSOC))) {							// 追加
		$sql_tmp = "insert into customer_info_ipn(data_kbn, related_data_id, info_title, name, name_kana, zipa, zipb, todofuken, city, areabanchi, tatemono, e_mail, paypal_email, e_mail2, tel_no, tel_no2, fax_no, 
						seibetu, job, birthday, dsp_free1, free1_input, dsp_free2, free2_input, dsp_free3, free3_input, kessai, pswd, pswd_question1, pswd_question1_answer, pswd_question2, pswd_question2_answer, 
						firstdate_buy, lastdate_buy, konyukaisu, total_amount, point, henpin_kaisu, memo, mail_magazine, buy_input_send_status, toroku_time, update_time)
				values(:data_kbn, :related_data_id, :info_title, :name, :name_kana, :zipa, :zipb, :todofuken, :city, :areabanchi, :tatemono, :e_mail, :paypal_email, :e_mail2, :tel_no, :tel_no2, :fax_no, 
						:seibetu, :job, :birthday, :dsp_free1, :free1_input, :dsp_free2, :free2_input, :dsp_free3, :free3_input, :kessai, :pswd, :pswd_question1, :pswd_question1_answer, :pswd_question2, :pswd_question2_answer, 
						:firstdate_buy, :lastdate_buy, :konyukaisu, :total_amount, :point, :henpin_kaisu, :memo, :mail_magazine, :buy_input_send_status, :toroku_time, :update_time)";
		$stmt = $connshpipn->prepare($sql_tmp);
		$stmt->bindParam(":data_kbn", $data_kbn);
		$stmt->bindParam(":related_data_id", $related_data_id);
		$stmt->bindParam(":info_title", $info_title);
		$stmt->bindParam(":name", $name);
		$stmt->bindParam(":name_kana", $name_kana);
		$stmt->bindParam(":zipa", $zipa);
		$stmt->bindParam(":zipb", $zipb);
		$stmt->bindParam(":todofuken", $todofuken);
		$stmt->bindParam(":city", $city);
		$stmt->bindParam(":areabanchi", $areabanchi);
		$stmt->bindParam(":tatemono", $tatemono);
		$stmt->bindParam(":e_mail", $e_mail);
		$stmt->bindParam(":paypal_email", $paypal_email);
		$stmt->bindParam(":e_mail2", $e_mail2);
		$stmt->bindParam(":tel_no", $tel_no);
		$stmt->bindParam(":tel_no2", $tel_no2);
		$stmt->bindParam(":fax_no", $fax_no);
		$stmt->bindParam(":seibetu", $seibetu);
		$stmt->bindParam(":job", $job);
		$stmt->bindParam(":birthday", $birthday);
		$stmt->bindParam(":dsp_free1", $dsp_free1);
		$stmt->bindParam(":free1_input", $free1_input);
		$stmt->bindParam(":dsp_free2", $dsp_free2);
		$stmt->bindParam(":free2_input", $free2_input);
		$stmt->bindParam(":dsp_free3", $dsp_free3);
		$stmt->bindParam(":free3_input", $free3_input);
		$stmt->bindParam(":kessai", $kessai);
		$stmt->bindParam(":pswd", $pswd);
		$stmt->bindParam(":pswd_question1", $pswd_question1);
		$stmt->bindParam(":pswd_question1_answer", $pswd_question1_answer);
		$stmt->bindParam(":pswd_question2", $pswd_question2);
		$stmt->bindParam(":pswd_question2_answer", $pswd_question2_answer);
		$stmt->bindParam(":firstdate_buy", $firstdate_buy);
		$stmt->bindParam(":lastdate_buy", $lastdate_buy);
		$stmt->bindParam(":konyukaisu", $konyukaisu);
		$stmt->bindParam(":total_amount", $total_amount);
		$stmt->bindParam(":point", $point);
		$stmt->bindParam(":henpin_kaisu", $henpin_kaisu);
		$stmt->bindParam(":memo", $memo);
		$stmt->bindParam(":mail_magazine", $mail_magazine);
		$stmt->bindParam(":buy_input_send_status", $buy_input_send_status);
		//登録日時・更新日時
		$time 			= time();
		$toroku_time 	= date('Y/m/d H:i:s', $time);
		$stmt->bindParam(":toroku_time", $toroku_time);
		$update_time	= $toroku_time;
		$stmt->bindParam(":update_time", $update_time);
		$stmt->execute();
		$id = $connshpipn->lastInsertId();
		return $id;
	}else {											// 更新
		$konyukaisu 	= $konyukaisu + $row1["konyukaisu"];
		$total_amount2	= $total_amount + $row1["total_amount"];
		$point			=  $row1["point"] + $total_amount/100;
		update_customer_info_ipn($connshpipn, $id, $data_kbn, $related_data_id, $info_title, $name, $name_kana, $zipa, $zipb, $todofuken, $city, $areabanchi, $tatemono, $e_mail, $paypal_email, $e_mail2, $tel_no, $tel_no2, $fax_no, 
								$seibetu, $job, $birthday, $dsp_free1, $free1_input, $dsp_free2, $free2_input, $dsp_free3, $free3_input, $kessai, $pswd, $pswd_question1, $pswd_question1_answer, $pswd_question2, $pswd_question2_answer, 
								$firstdate_buy, $lastdate_buy, $konyukaisu, $total_amount, $point, $henpin_kaisu, $memo, $mail_magazine, $buy_input_send_status);
		return $row1["id"];
	}
}
//データの更新（顧客情報customer_info）
// ※e_mail又はs_e_mailをキーとして更新
function update_customer_info_ipn($connshpipn, $id, $data_kbn, $related_data_id, $info_title, $name, $name_kana, $zipa, $zipb, $todofuken, $city, $areabanchi, $tatemono, $e_mail, $paypal_email, $e_mail2, $tel_no, $tel_no2, $fax_no, 
								$seibetu, $job, $birthday, $dsp_free1, $free1_input, $dsp_free2, $free2_input, $dsp_free3, $free3_input, $kessai, $pswd, $pswd_question1, $pswd_question1_answer, $pswd_question2, $pswd_question2_answer, 
								$firstdate_buy, $lastdate_buy, $konyukaisu, $total_amount, $point, $henpin_kaisu, $memo, $mail_magazine, $buy_input_send_status) {
	$sql_tmp = "update customer_info_ipn set 
					data_kbn				= :data_kbn,
					related_data_id			= :related_data_id,
					info_title				= :info_title,
					name					= :name, 
					name_kana				= :name_kana, 
					zipa					= :zipa,
					zipb					= :zipb,
					todofuken				= :todofuken, 
					city					= :city,
					areabanchi				= :areabanchi,
					tatemono				= :tatemono,
					paypal_email			= :paypal_email,
					e_mail2					= :e_mail2,
					tel_no					= :tel_no,
					tel_no2					= :tel_no2, 
					fax_no					= :fax_no, 
					seibetu					= :seibetu,
					job						= :job, 
					birthday				= :birthday,
					dsp_free1				= :dsp_free1,
					free1_input				= :free1_input,
					dsp_free2				= :dsp_free2,
					free2_input				= :free2_input,
					dsp_free3				= :dsp_free3,
					free3_input				= :free3_input,
					kessai					= :kessai,
					pswd					= :pswd,
					pswd_question1			= :pswd_question1, 
					pswd_question1_answer	= :pswd_question1_answer, 
					pswd_question2			= :pswd_question2,
					pswd_question2_answer	= :pswd_question2_answer, 
					firstdate_buy			= :firstdate_buy, 
					lastdate_buy			= :lastdate_buy, 
					konyukaisu				= :konyukaisu, 
					total_amount			= :total_amount,
					point					= :point,
					henpin_kaisu			= :henpin_kaisu,
					memo					= :memo, 
					mail_magazine			= :mail_magazine, 
					buy_input_send_status	= :buy_input_send_status,
					update_time				= :update_time
					where e_mail			= :e_mail";
		$stmt = $connshpipn->prepare($sql_tmp);
		$stmt->bindParam(":data_kbn", $data_kbn);
		$stmt->bindParam(":related_data_id", $related_data_id);
		$stmt->bindParam(":info_title", $info_title);
		$stmt->bindParam(":name", $name);
		$stmt->bindParam(":name_kana", $name_kana);
		$stmt->bindParam(":zipa", $zipa);
		$stmt->bindParam(":zipb", $zipb);
		$stmt->bindParam(":todofuken", $todofuken);
		$stmt->bindParam(":city", $city);
		$stmt->bindParam(":areabanchi", $areabanchi);
		$stmt->bindParam(":tatemono", $tatemono);
		$stmt->bindParam(":e_mail", $e_mail);
		$stmt->bindParam(":paypal_email", $paypal_email);
		$stmt->bindParam(":e_mail2", $e_mail2);
		$stmt->bindParam(":tel_no", $tel_no);
		$stmt->bindParam(":tel_no2", $tel_no2);
		$stmt->bindParam(":fax_no", $fax_no);
		$stmt->bindParam(":seibetu", $seibetu);
		$stmt->bindParam(":job", $job);
		$stmt->bindParam(":birthday", $birthday);
		$stmt->bindParam(":dsp_free1", $dsp_free1);
		$stmt->bindParam(":free1_input", $free1_input);
		$stmt->bindParam(":dsp_free2", $dsp_free2);
		$stmt->bindParam(":free2_input", $free2_input);
		$stmt->bindParam(":dsp_free3", $dsp_free3);
		$stmt->bindParam(":free3_input", $free3_input);
		$stmt->bindParam(":kessai", $kessai);
		$stmt->bindParam(":pswd", $pswd);
		$stmt->bindParam(":pswd_question1", $pswd_question1);
		$stmt->bindParam(":pswd_question1_answer", $pswd_question1_answer);
		$stmt->bindParam(":pswd_question2", $pswd_question2);
		$stmt->bindParam(":pswd_question2_answer", $pswd_question2_answer);
		$stmt->bindParam(":firstdate_buy", $firstdate_buy);
		$stmt->bindParam(":lastdate_buy", $lastdate_buy);
		$stmt->bindParam(":konyukaisu", $konyukaisu);
		$stmt->bindParam(":total_amount", $total_amount);
		$stmt->bindParam(":point", $point);
		$stmt->bindParam(":henpin_kaisu", $henpin_kaisu);
		$stmt->bindParam(":memo", $memo);
		$stmt->bindParam(":mail_magazine", $mail_magazine);
		$stmt->bindParam(":buy_input_send_status", $buy_input_send_status);
		//更新日時
		$time 			= time();
		$update_time 	= date('Y/m/d H:i:s', $time);
		$stmt->bindParam(":update_time", $update_time);
		$stmt->execute();
}
//指定データの削除（顧客情報customer_info）（idで指定されたデータを削除）
function delete_customer_info_ipn($connshpipn, $id) {
    $sql_tmp = "DELETE FROM customer_info_ipn WHERE (id = :id)";
	$stmt = $connshpipn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->execute();
}

//データの追加（受注情報テーブル）
function insert_order_info_ipn($connshpipn, $customer_info_id, $section_id, $cta_btn_no, $cta_proc_no, $order_id, $customer_id, $tesuryo, $use_point, $add_point, $wari_gaku, $syohizei, $keigenzei, $shipping, $total_price, $num_cart_items, $siharai_hoho, $renraku_jiko, $nyukin_status, $nyukin_date) {
	$sql_tmp = "insert into order_info_ipn(customer_info_id, section_id, cta_btn_no, cta_proc_no, order_id, customer_id, order_date, tesuryo, use_point, add_point, wari_gaku, syohizei, keigenzei, shipping, total_price, num_cart_items, siharai_hoho, renraku_jiko, nyukin_status, nyukin_date, toroku_time, update_time)
							values(:customer_info_id, :section_id, :cta_btn_no, :cta_proc_no, :order_id, :customer_id, :order_date, :tesuryo, :use_point, :add_point, :wari_gaku, :syohizei, :keigenzei, :shipping, :total_price, :num_cart_items, :siharai_hoho, :renraku_jiko, :nyukin_status, :nyukin_date, :toroku_time, :update_time)";
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$toroku_time	= $update_time;
	$order_date		= $toroku_time;

	$stmt = $connshpipn->prepare($sql_tmp);
	$stmt->bindParam(":customer_info_id", $customer_info_id);
	$stmt->bindParam(":section_id", $section_id);
	$stmt->bindParam(":cta_btn_no", $cta_btn_no);
	$stmt->bindParam(":cta_proc_no", $cta_proc_no);
	$stmt->bindParam(":order_id", $order_id);
	$stmt->bindParam(":customer_id", $customer_id);
	$stmt->bindParam(":order_date", $order_date);
	$stmt->bindParam(":tesuryo", $tesuryo);
	$stmt->bindParam(":use_point", $use_point);
	$stmt->bindParam(":add_point", $add_point);
	$stmt->bindParam(":wari_gaku", $wari_gaku);
	$stmt->bindParam(":syohizei", $syohizei);
	$stmt->bindParam(":keigenzei", $keigenzei);
	$stmt->bindParam(":shipping", $shipping);
	$stmt->bindParam(":total_price", $total_price);
	$stmt->bindParam(":num_cart_items", $num_cart_items);
	$stmt->bindParam(":siharai_hoho", $siharai_hoho);
	$stmt->bindParam(":renraku_jiko", $renraku_jiko);
	$stmt->bindParam(":nyukin_status", $nyukin_status);
	$stmt->bindParam(":nyukin_date", $nyukin_date);
	$stmt->bindParam(":toroku_time", $toroku_time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $connshpipn->lastInsertId();
	return $id;
}
//データの更新（受注情報テーブル）
function update_order_info_ipn($connshpipn, $id, $customer_info_id, $section_id, $cta_btn_no, $cta_proc_no, $order_id, $customer_id, $tesuryo, $use_point, $add_point, $wari_gaku, $syohizei, $keigenzei, $shipping, $total_price, $num_cart_items, $siharai_hoho, $renraku_jiko, $nyukin_status, $nyukin_date) {
	$sql_tmp = "update order_info_ipn set
					customer_info_id	= :customer_info_id,
					section_id			= :section_id,
					cta_btn_no			= :cta_btn_no,
					cta_proc_no			= :cta_proc_no,
					order_id			= :order_id,	 
					customer_id			= :customer_id,	 
					order_date			= :order_date, 
					tesuryo				= :tesuryo,	 
					use_point			= :use_point,	 
					add_point			= :add_point,
					wari_gaku			= :wari_gaku,
					syohizei			= :syohizei,
					keigenzei			= :keigenzei,
					shipping			= :shipping,
					total_price			= :total_price, 
					num_cart_items		= :num_cart_items, 
					siharai_hoho		= :siharai_hoho,
					renraku_jiko		= :renraku_jiko, 
					nyukin_status		= :nyukin_status,	 
					nyukin_date			= :nyukin_date,
					update_time 		= :update_time
					where id			= :id";
	$stmt = $connshpipn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":customer_info_id", $customer_info_id);
	$stmt->bindParam(":section_id", $section_id);
	$stmt->bindParam(":cta_btn_no", $cta_btn_no);
	$stmt->bindParam(":cta_proc_no", $cta_proc_no);
	$stmt->bindParam(":order_id", $order_id);
	$stmt->bindParam(":customer_id", $customer_id);
	$stmt->bindParam(":order_date", $order_date);
	$stmt->bindParam(":tesuryo", $tesuryo);
	$stmt->bindParam(":use_point", $use_point);
	$stmt->bindParam(":add_point", $add_point);
	$stmt->bindParam(":wari_gaku", $wari_gaku);
	$stmt->bindParam(":syohizei", $syohizei);
	$stmt->bindParam(":keigenzei", $keigenzei);
	$stmt->bindParam(":shipping", $shipping);
	$stmt->bindParam(":total_price", $total_price);
	$stmt->bindParam(":num_cart_items", $num_cart_items);
	$stmt->bindParam(":siharai_hoho", $siharai_hoho);
	$stmt->bindParam(":renraku_jiko", $renraku_jiko);
	$stmt->bindParam(":nyukin_status", $nyukin_status);
	$stmt->bindParam(":nyukin_date", $nyukin_date);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}

?>
