<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
//****************************************************************************************************//
//
//　初期版では、顧客情報の登録、セクションCTA処理データの在庫数量の更新、エラー発生時のログ出力を行う。
//　（他は更新行のみをコメントアウト）
//
//****************************************************************************************************//
ini_set("session.bug_compat_42", 0);
ini_set("session.bug_compat_warn", 0);

//$time 			= time();
//$update_time 	= date('Y-m-d-H-i-s', $time);
//$file_fullname = "log/paypal_ipn_00_".$update_time.".txt";
//$file_contents = 'script start';
//file_put_contents($file_fullname, $file_contents);		// debug

// STEP 1: Read POST data

// reading posted data from directly from $_POST causes serialization 
// issues with array data in POST
// reading raw POST data from input stream instead. 
$raw_post_data = file_get_contents('php://input');
$raw_post_array = explode('&', $raw_post_data);
$myPost = array();
foreach ($raw_post_array as $keyval) {
  $keyval = explode ('=', $keyval);
  if (count($keyval) == 2)
     $myPost[$keyval[0]] = urldecode($keyval[1]);
}
// read the post from PayPal system and add 'cmd'
$req = 'cmd=_notify-validate';
if(function_exists('get_magic_quotes_gpc')) {
   $get_magic_quotes_exists = true;
} 
foreach ($myPost as $key => $value) {        
   if($get_magic_quotes_exists == true && get_magic_quotes_gpc() == 1) { 
        $value = urlencode(stripslashes($value)); 
   } else {
        $value = urlencode($value);
   }
   $req .= "&$key=$value";
}

 
// STEP 2: Post IPN data back to paypal to validate
if ($_GET["paypal_mode"] == 1)	{											// PayPal本番モード
	$action_url	= "https://www.paypal.com/cgi-bin/webscr";
} else {															// sandbox環境
	$action_url	= "https://www.sandbox.paypal.com/cgi-bin/webscr";
}
//$time 			= time();
//$update_time 	= date('Y-m-d-H-i-s', $time);
//$file_fullname = "log/paypal_ipn_paypal_mode_".$update_time.".txt";
//$file_contents = '$_GET["paypal_mode"]='.$_GET["paypal_mode"].' +++ $action_url='.$action_url;
//file_put_contents($file_fullname, $file_contents);		// debug

// cURL セッションを初期化する。
$ch = curl_init($action_url);
curl_setopt($ch, CURLOPT_HTTP_VERSION, CURL_HTTP_VERSION_1_1);
curl_setopt($ch, CURLOPT_POST, 1);
curl_setopt($ch, CURLOPT_RETURNTRANSFER,1);
curl_setopt($ch, CURLOPT_POSTFIELDS, $req);
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 1);
curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 2);
curl_setopt($ch, CURLOPT_FORBID_REUSE, 1);
curl_setopt($ch, CURLOPT_HTTPHEADER, array('Connection: Close'));

// In wamp like environments that do not come bundled with root authority certificates,
// please download 'cacert.pem' from "http://curl.haxx.se/docs/caextract.html" and set the directory path 
// of the certificate as shown below.
// curl_setopt($ch, CURLOPT_CAINFO, dirname(__FILE__) . '/cacert.pem');
if( !($res = curl_exec($ch)) ) {
    // error_log("Got " . curl_error($ch) . " when processing IPN data");
	$log = "Got " . curl_error($ch) . " when processing IPN data";					// trace
	$time 			= time();
	$update_time 	= date('Y-m-d-H-i-s', $time);
	$file_fullname = "log/paypal_ipn_curl_error_".$update_time.".txt";
	$file_contents = $log;
	file_put_contents($file_fullname, $file_contents);		// debug
    curl_close($ch);
    exit;
}
curl_close($ch);

// STEP 3: Inspect IPN validation result and act accordingly
$ensid			= $_POST["custom"];			// *************** 暗号化したSIDをpaypalのパススルー変数で受け取る。

//$time 			= time();
//$update_time 	= date('Y-m-d-H-i-s', $time);
//$file_fullname = "log/paypal_ipn_ensid_".$update_time.".txt";
//$file_contents = '$_POST["custom"] ensid='.$ensid;
//file_put_contents($file_fullname, $file_contents);		// debug

//復号化するデータ
$crypt_text = $ensid;
//暗号化＆復号化キー
$key = md5('AEHFOPKHG');
//暗号化モジュール使用開始
$td  = mcrypt_module_open('des', '', 'ecb', '');
$key = substr($key, 0, mcrypt_enc_get_key_size($td));
$iv  = mcrypt_create_iv(mcrypt_enc_get_iv_size($td), MCRYPT_RAND);
//暗号化モジュール初期化
if (mcrypt_generic_init($td, $key, $iv) < 0) {
	$deside=1;
}else{
	$deside=0;
}
// モジュール初期化が失敗した場合はログ出力して終了する。
if ($_GET["enside"] == 1) {				// 暗号化する側で失敗した場合
	$time 			= time();
	$update_time 	= date('Y-m-d-H-i-s', $time);
	$file_fullname = "log/paypal_ipn_enside_error_".$update_time.".txt";
	$file_contents = 'enside=error';
	file_put_contents($file_fullname, $file_contents);		// debug
	exit;
}
if ($deside == 1) {						// 複合化する側で失敗した場合
	$time 			= time();
	$update_time 	= date('Y-m-d-H-i-s', $time);
	$file_fullname = "log/paypal_ipn_deside_error_".$update_time.".txt";
	$file_contents = 'deside=error';
	file_put_contents($file_fullname, $file_contents);		// debug
	exit;
}

//データを復号化
$plain_text = mdecrypt_generic($td, base64_decode($crypt_text));
//暗号化モジュール使用終了
mcrypt_generic_deinit($td);
mcrypt_module_close($td);
$sid = $plain_text;

// セッションの復元
session_name("home");
session_id($sid);			//********** [PayPalでお支払い]ボタンクリック時のセッションに切り替える！！！
session_start();

///$time 			= time();
//$update_time 	= date('Y-m-d-H-i-s', $time);
//$file_fullname = "log/paypal_ipn_session_start_".$update_time.".txt";
//$file_contents = 'session_start sid='.$sid;
//file_put_contents($file_fullname, $file_contents);		// debug

if (strcmp ($res, "VERIFIED") == 0) {
    // check whether the payment_status is Completed
    // check that txn_id has not been previously processed
    // check that receiver_email is your Primary PayPal email
    // check that payment_amount/payment_currency are correct
    // process payment

    // assign posted variables to local variables
    $paypal_payment_status 	= $_POST['payment_status'];
	$paypal_txn_type		= $_POST['txn_type'];
	if (!(($paypal_txn_type == "subscr_signup") || ($paypal_txn_type == "subscr_payment") || ($paypal_txn_type == "subscr_cancel") || ($paypal_payment_status == "Completed" && $paypal_txn_type == "web_accept") )) {
		//処理対象以外のトランザクションはスキップする。
		exit;
	}
	//$time 			= time();
	//$update_time 	= date('Y-m-d-H-i-s', $time);
	//$file_fullname = "log/paypal_ipn_paypal_txn_type_".$paypal_txn_type."_".$update_time.".txt";
	//$file_contents = 'paypal_txn_type='.$paypal_txn_type.' +++ $paypal_payment_status='.$paypal_payment_status;
	//file_put_contents($file_fullname, $file_contents);		// debug
	
	include 'function_pdo.php';
	include 'function_pdo_ipn.php';				// ＤＢファイルのロックを防止するため、PayPal IPNで更新するテーブルは別ファイルとする。
	include 'function_pdo_shop.php';
	include 'function_pdo_shop_ipn.php';		// ＤＢファイルのロックを防止するため、PayPal IPNで更新するテーブルは別ファイルとする。
	include 'function_cms.php';
	include 'src/function_cms2.php';
	// DBへの接続（存在しない場合はDB、TABLEを作成）
	$conn 		= init_sqlite();
	$conn2 		= init_sqlite2();
	$connipn 	= init_sqlite_ipn();
	$connshp 	= init_sqlite_shop();
	$connshpipn = init_sqlite_shop_ipn();
	
	$sql = "SELECT * FROM kessai_tbl";
	$stmt = $connshp->prepare($sql);
	$stmt->execute();
	$rowks = $stmt->fetch(PDO::FETCH_ASSOC);

	// ＜＜＜＜＜　paypal環境設定（本番環境とsandbox環境を判定して変数をセット）　＞＞＞＞＞　重要！！！
	if ( $rowks["paypal_mode"] == 1)	{				// PayPal本番モード
		$seller_id	= $rowks["paypal_id"];
		$action_url	= "https://www.paypal.com/cgi-bin/webscr";
	} else {															// sandbox環境
		$seller_id	= $rowks["paypal_id_test"];
		$action_url	= "https://www.sandbox.paypal.com/cgi-bin/webscr";
	}
	$sql = "SELECT * FROM tax_tbl";
	$stmt = $connshp->prepare($sql);
	$stmt->execute();
	$rowtx = $stmt->fetch(PDO::FETCH_ASSOC);

	//セクションCTA処理データを読む
	$sqlctapd = "SELECT * FROM section_cta_proc_data WHERE id = ".$_GET["cta_proc_data_id"];
	$stmtctapd = $conn->prepare($sqlctapd);
	$stmtctapd->execute();
	$rowctapd = $stmtctapd->fetch(PDO::FETCH_ASSOC);

	// 顧客情報
	$yubin_no				= $_POST['address_zip'];				// 郵便番号
	$todofuken				= $_POST['address_state'];				// 都道府県
	$chomei_cho_banchi_go	= $_POST['address_street'];				// 町名丁目番地 建物階号室
	$country				= $_POST['address_country'];			// 国名
	$city					= $_POST['address_city'];				// 市区町村
	$customer_address_name	= $_POST['address_name'];
	$customer_last_name		= $_POST['last_name'];
	$customer_first_name	= $_POST['first_name'];
	// 売り手情報
	$receiver_id			= $_POST['receiver_id'];
	$business				= $_POST['business'];
	
	// 購入した商品情報
	$item_name 				= $_POST['item_name'];
	$item_number 			= $_POST['item_number'];				// 商品コード
	$payment_amount 		= $_POST['mc_gross'];					// 支払い金額（商品金額＋送料＋消費税）
	$payment_amount_1 		= $_POST['mc_gross_1'];					// 商品金額＋送料

	$shipping				= $_POST['mc_shipping1'];				// 送料
	$num_cart_items			= $_POST['num_cart_items'];				// カートに追加したアイテム数
	$option_name1_1			= $_POST['option_name1_1'];
	$option_selection1_1	= $_POST['option_selection1_1'];
	$syohizei				= 0;									// 内税方式
	$item_tax_rate1			= 0;									// 内税方式
	$quantity 				= (isset($_POST['quantity'])) ? $_POST['quantity'] : 1;		// 商品購入数量 (三項演算子)
	
	// 取引情報
    $paypal_payment_status 	= $_POST['payment_status'];
	$pending_reason			= $_POST['pending_reason'];
    $payment_currency 		= $_POST['mc_currency'];
    $txn_id 				= $_POST['txn_id'];
	$paypal_txn_type		= $_POST['txn_type'];					// "subscr_signup"	この即時支払い通知は、購読登録に関する通知です。"subscr_cancel"	この即時支払い通知は、購読キャンセルに関する通知です。
    $receiver_email 		= $_POST['receiver_email'];
    $payer_email 			= $_POST['payer_email'];
	$mc_fee					= $_POST['mc_fee'];
	$transaction_subject	= $_POST['transaction_subject'];
	$txn_id			= $_POST['txn_id'];
	
	// 文字コード変換
	if ($_POST['charset'] == "Shift_JIS") {
		$todofuken 				= mb_convert_encoding($todofuken, "UTF-8", "SJIS");
		$chomei_cho_banchi_go 	= mb_convert_encoding($chomei_cho_banchi_go, "UTF-8", "SJIS");
		$city 					= mb_convert_encoding($city, "UTF-8", "SJIS");
		$customer_address_name 	= mb_convert_encoding($customer_address_name, "UTF-8", "SJIS");
		$customer_last_name 	= mb_convert_encoding($customer_last_name, "UTF-8", "SJIS");
		$customer_first_name 	= mb_convert_encoding($customer_first_name, "UTF-8", "SJIS");
		$item_name 				= mb_convert_encoding($item_name, "UTF-8", "SJIS");
	}
	// trace用データ登録
	//$trace_no = "01";													//trace
	//$log = "paypal_payment_status=".$paypal_payment_status." *** paypal_txn_type=".$paypal_txn_type;					//trace
	//$raw_post_data_w = $raw_post_data;												//trace
	//$id = insert_paypal_log($connshpipn, $trace_no, $log, $raw_post_data_w);	//trace
	
	$id = insert_paypal_ipn_info($connshpipn, $txn_id, $country, $yubin_no, $todofuken, $city, $chomei_cho_banchi_go, $customer_address_name, $customer_last_name, $customer_first_name, $payer_email, $receiver_id, $business, $receiver_email, $syohizei, $payment_amount, $num_cart_items, $paypal_payment_status, $pending_reason, $payment_currency, $mc_fee);

	// ランディングページのユーザーアドレスを取得する。
	$sql = 'SELECT * FROM user_info';
	$stmt = $conn2->prepare($sql);
	$stmt->execute();
	if ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
		$encode_decode	= 0;	// 0:decode
		$login_name 	= encode_decode_data($encode_decode, $row['login_name']);	// 宛て先アドレス
		$user_info_ari = true;
	}else{
		$user_info_ari = false;
	}

	// 同一取引で登録済みのデータを取得する。
	if ($paypal_payment_status == "Completed" && $paypal_txn_type == "web_accept") {								// 一回払いの場合
		$sql = 'SELECT * FROM section_cta_proc_result_data_ipn WHERE (txn_id = "'.$_POST["txn_id"].'")';			// txn_id：PayPal で生成された一意の取引ID ※$paypal_txn_typeが"subscr_signup"の場合POSTされない。
	}else{																											// 定期購読の場合($paypal_txn_type == "subscr_signup") || ($paypal_txn_type == "subscr_payment") || ($paypal_txn_type == "subscr_cancel")
		$sql = 'SELECT * FROM section_cta_proc_result_data_ipn WHERE (subscr_id = "'.$_POST["subscr_id"].'")';		// $_POST['subscr_id'];	
	}
	// trace用データ登録
	//$trace_no = "04";					//trace
	//$log = $sql;						//trace
	//$raw_post_data_w = "";				//trace
	//$id = insert_paypal_log($connshpipn, $trace_no, $log, $raw_post_data_w);				//trace
	$stmtrd = $connipn->prepare($sql);
	$stmtrd->execute();
	if ($row_result_data = $stmtrd->fetch(PDO::FETCH_ASSOC)) {
		//$trace_no = "04";					//trace
		//$log = "section_cta_proc_result_data_ipn ari";						//trace
		//$raw_post_data_w = "";				//trace
		//$id = insert_paypal_log($connshpipn, $trace_no, $log, $raw_post_data_w);				//trace
		$result_data_ari = true;
	}else{
		$result_data_ari = false;
	}
	
	
	if ($result_data_ari) {
		if (($paypal_payment_status == "Completed" && ($paypal_txn_type == "web_accept" || $paypal_txn_type == "subscr_payment")) && $_POST['txn_id'] == $row_result_data["txn_id"]) {		// トランザクションが重複しているため処理を終了する。
			$time 			= time();
			$update_time 	= date('Y-m-d-H-i-s', $time);
			$file_fullname = "log/paypal_duplicate_ipn_paypal_txn_type_".$paypal_txn_type."_".$update_time.".txt";
			$file_contents = 'transaction duplicate! paypal_txn_type='.$paypal_txn_type.' +++ paypal_payment_status='.$paypal_payment_status.' +++ paypal_txn_id='.$_POST['txn_id'];
			file_put_contents($file_fullname, $file_contents);		// debug
			exit;
		}
	}

	if (!($paypal_txn_type == "subscr_cancel")) {			// 定期支払のキャンセル以外
		// 顧客情報(送付先情報 or 送付先請求先情報)追加（e_mailが登録済みの場合は、他の情報を更新）
		if ($result_data_ari) {
			if ($row_result_data["seikyu_dsp_kbn"] == 1) {
				$data_kbn			= 2;				// 送付先情報
			}else{
				$data_kbn			= 1;				// 送付先請求先情報
			}
			$related_data_id		= 0;
			$info_title				= $row_result_data["sohu_address_title"];
			$name					= $row_result_data["name"];
			$name_kana				= $row_result_data["name_kana"];
			$zip_array				= explode( '-', $row_result_data["yubin_no"] );
			$zipa					= $zip_array[0];
			$zipb					= $zip_array[1];
			$todofuken				= $row_result_data["todohuken"];
			$city					= $row_result_data["city"];
			$areabanchi				= $row_result_data["areabanchi"];
			$tatemono				= $row_result_data["tatemono"];
			$e_mail					= $row_result_data["e_mail"];
			if ($data_kbn == 1) {
				$paypal_email		= $payer_email;
			}else{
				$paypal_email		= NULL;
			}
			$e_mail2				= "";
			$tel_no					= $row_result_data["tel_no"];
			$tel_no2				= "";
			$fax_no					= "";
			$seibetu				= $row_result_data["seibetu"]; 
			$job					= ""; 
			$birthday				= $row_result_data["seinengappi"]; 
			$dsp_free1				= $row_result_data["dsp_free1"];
			$free1_input			= $row_result_data["free1"];
			$dsp_free2				= $row_result_data["dsp_free2"];
			$free2_input			= $row_result_data["free2"];
			$dsp_free3				= $row_result_data["dsp_free3"];
			$free3_input			= $row_result_data["free3"];
		}else{
			if ($_SESSION["seikyu_dsp_kbn"] == 1) {
				$data_kbn			= 2;				// 送付先情報
			}else{
				$data_kbn			= 1;				// 送付先請求先情報
			}
			$related_data_id		= 0;
			$info_title				= $_SESSION["sohu_address_title"];
			$name					= $_SESSION["name_input"];
			$name_kana				= $_SESSION["name_kana_input"];
			$zipa					= $_SESSION["zipa"];
			$zipb					= $_SESSION["zipb"];
			$todofuken				= $_SESSION["todohuken_input"];
			$city					= $_SESSION["city_input"];
			$areabanchi				= $_SESSION["areabanchi_input"];
			$tatemono				= $_SESSION["tatemono_input"];
			$e_mail					= $_SESSION["e_mail_input"];
			if ($data_kbn == 1) {
				$paypal_email		= $payer_email;
			}else{
				$paypal_email		= NULL;
			}
			$e_mail2				= "";
			$tel_no					= $_SESSION["tel_no_input"];
			$tel_no2				= "";
			$fax_no					= "";
			$seibetu				= $_SESSION["seibetu_input"]; 
			$job					= ""; 
			$birthday				= $_SESSION["seinengappi_input"]; 
			$dsp_free1				= $_SESSION["dsp_free1"];
			$free1_input			= $_SESSION["free1_input"];
			$dsp_free2				= $_SESSION["dsp_free2"];
			$free2_input			= $_SESSION["free2_input"];
			$dsp_free3				= $_SESSION["dsp_free3"];
			$free3_input			= $_SESSION["free3_input"];
		}
		$kessai					= 1;
		$pswd					= NULL; 
		$pswd_question1			= ""; 
		$pswd_question1_answer	= ""; 
		$pswd_question2			= ""; 
		$pswd_question2_answer	= ""; 
		$firstdate_buy			= ""; 
		$time 					= time();
		$lastdate_buy 			= date('Y/m/d H:i:s', $time);
		$konyukaisu				= 1; 
		$total_amount			= 0; 
		$point 					= 0; 
		$henpin_kaisu			= 0; 
		$memo					= ""; 
		$mail_magazine			= 1;
		$customer_info_id = insert_customer_info_ipn($connshpipn, $data_kbn, $related_data_id, $info_title, $name, $name_kana, $zipa, $zipb, $todofuken, $city, $areabanchi, $tatemono, $e_mail, $paypal_email, $e_mail2, $tel_no, $tel_no2, $fax_no, 
								$seibetu, $job, $birthday, $dsp_free1, $free1_input, $dsp_free2, $free2_input, $dsp_free3, $free3_input, $kessai, $pswd, $pswd_question1, $pswd_question1_answer, $pswd_question2, $pswd_question2_answer, 
								$firstdate_buy, $lastdate_buy, $konyukaisu, $total_amount, $point, $henpin_kaisu, $memo, $mail_magazine, $buy_input_send_status);
		
	// 顧客情報(請求先情報 )追加（e_mailが登録済みの場合は、他の情報を更新）
	if ($result_data_ari && $row_result_data["seikyu_dsp_kbn"] == 1 || !$result_data_ari && $_SESSION["seikyu_dsp_kbn"]) {		// 請求先情報ありの場合
			$data_kbn					= 3;										// 請求先情報
			$related_data_id			= $customer_info_id;						// 関連データＩＤ（送付先情報のデータID）
			if ($result_data_ari) {
				$info_title				= $row_result_data["seikyu_address_title"];
				$name					= $row_result_data["sname"];
				$name_kana				= $row_result_data["sname_kana"];
				$zip_array				= explode( '-', $row_result_data["syubin_no"] );
				$zipa					= $zip_array[0];
				$zipb					= $zip_array[1];
				$todofuken				= $row_result_data["stodohuken"];
				$city					= $row_result_data["scity"];
				$areabanchi				= $row_result_data["sareabanchi"];
				$tatemono				= $row_result_data["statemono"];
				$e_mail					= $row_result_data["se_mail"];
				$paypal_email			= $payer_email;
				$e_mail2				= NULL;
				$tel_no					= $row_result_data["stel_no"];
			}else{
				$info_title				= $_SESSION["seikyu_address_title"];
				$name					= $_SESSION["sname_input"];
				$name_kana				= $_SESSION["sname_kana_input"];
				$zipa					= $_SESSION["szipa"];
				$zipb					= $_SESSION["szipb"];
				$todofuken				= $_SESSION["stodohuken_input"];
				$city					= $_SESSION["scity_input"];
				$areabanchi				= $_SESSION["sareabanchi_input"];
				$tatemono				= $_SESSION["statemono_input"];
				$e_mail					= $_SESSION["se_mail_input"];
				$paypal_email			= $payer_email;
				$e_mail2				= NULL;
				$tel_no					= $_SESSION["stel_no_input"];
			}
			$tel_no2				= NULL;
			$fax_no					= NULL;
			$seibetu				= NULL; 
			$job					= NULL; 
			$birthday				= NULL; 
			$dsp_free1				= NULL;
			$free1_input			= NULL;
			$dsp_free2				= NULL;
			$free2_input			= NULL;
			$dsp_free3				= NULL;
			$free3_input			= NULL;
			$kessai					= 1;
			$pswd					= NULL; 
			$pswd_question1			= NULL; 
			$pswd_question1_answer	= NULL; 
			$pswd_question2			= NULL; 
			$pswd_question2_answer	= NULL; 
			$firstdate_buy			= NULL; 
			$time 					= time();
			$lastdate_buy 			= date('Y/m/d H:i:s', $time);
			$konyukaisu				= 1; 
			$total_amount			= 0; 
			$point 					= 0; 
			$henpin_kaisu			= 0; 
			$memo					= NULL; 
			$mail_magazine			= 1;
		}
		$customer_info_id2 = insert_customer_info_ipn($connshpipn, $data_kbn, $related_data_id, $info_title, $name, $name_kana, $zipa, $zipb, $todofuken, $city, $areabanchi, $tatemono, $e_mail, $paypal_email, $e_mail2, $tel_no, $tel_no2, $fax_no, 
								$seibetu, $job, $birthday, $dsp_free1, $free1_input, $dsp_free2, $free2_input, $dsp_free3, $free3_input, $kessai, $pswd, $pswd_question1, $pswd_question1_answer, $pswd_question2, $pswd_question2_answer, 
								$firstdate_buy, $lastdate_buy, $konyukaisu, $total_amount, $point, $henpin_kaisu, $memo, $mail_magazine, $buy_input_send_status);
		// 送付先情報の関連データＩＤを請求先情報のＩＤで更新
		$sql_tmp = "update customer_info_ipn set 
				related_data_id		= :related_data_id,
				update_time 		= :update_time
				where id			= :id";
		$stmt = $connshpipn->prepare($sql_tmp);
		$stmt->bindParam(":id", $customer_info_id);
		$stmt->bindParam(":related_data_id", $customer_info_id2);
		//更新日時
		$time 			= time();
		$update_time 	= date('Y/m/d H:i:s', $time);
		$stmt->bindParam(":update_time", $update_time);
		$stmt->execute();
	}

	//セクションＣＴＡ処理結果データの追加
	if ($paypal_txn_type == "subscr_signup" || $paypal_txn_type == "subscr_payment" || $paypal_txn_type == "subscr_cancel" || ($paypal_payment_status == "Completed" && $paypal_txn_type == "web_accept")) { 
		// 定期支払の（登録または実行またはキャンセル）又は（支払い完了 && 一回払い）の場合
		$cta_proc_data_id	= $_GET["cta_proc_data_id"];
		$paypal_txn_type	= $_POST['txn_type'];					// "subscr_signup"	この即時支払い通知は、購読登録に関する通知です。"subscr_cancel"	この即時支払い通知は、購読キャンセルに関する通知です。
		$subscr_id			= $_POST['subscr_id'];					// subscr_id：定期支払いID（PayPal により生成された購読者のID）
		$txn_id				= $_POST['txn_id'];						// 「PayPal で生成された一意の取引ID」（重複回避するために使用する。）
		$cta_proc_no		= $_GET["cta_proc_no"];
		if ($result_data_ari) {
			$cta_data_id		= $row_result_data["cta_data_id"];
			$cta_proc_no		= $row_result_data["cta_proc_no"];
			$cta_btn_img_no		= $row_result_data["cta_btn_img_no"];
			$botton_name		= $row_result_data["botton_name"];
			$sohu_address_title = $row_result_data["sohu_address_title"];
			
			$dsp_name			= $row_result_data["dsp_name"];
			$name				= $row_result_data["name"];
			$dsp_name_kana		= $row_result_data["dsp_name_kana"];
			$name_kana			= $row_result_data["name_kana"];
			$dsp_yubin_no		= $row_result_data["dsp_yubin_no"];
			$yubin_no			= $row_result_data["yubin_no"];
			$dsp_todohuken		= $row_result_data["dsp_todohuken"];
			$todohuken			= $row_result_data["todohuken"];
			$dsp_city			= $row_result_data["dsp_city"];
			$city				= $row_result_data["city"];
			$dsp_areabanchi		= $row_result_data["dsp_areabanchi"];
			$areabanchi			= $row_result_data["areabanchi"];
			$dsp_tatemono		= $row_result_data["dsp_tatemono"];
			$tatemono			= $row_result_data["tatemono"];
			$dsp_e_mail			= $row_result_data["dsp_e_mail"];
			$e_mail				= $row_result_data["e_mail"];
			$dsp_tel_no			= $row_result_data["dsp_tel_no"];  
			$tel_no				= $row_result_data["tel_no"];
			
			$dsp_seinengappi	= $row_result_data["dsp_seinengappi"]; 
			$seinengappi		= $row_result_data["seinengappi"];
			$dsp_seibetu		= $row_result_data["dsp_seibetu"];
			$seibetu			= $row_result_data["seibetu"];
			$dsp_free1			= $row_result_data["dsp_free1"];
			$free1				= $row_result_data["free1"];
			$dsp_free2			= $row_result_data["dsp_free2"];
			$free2				= $row_result_data["free2"];
			$dsp_free3			= $row_result_data["dsp_free3"];
			$free3				= $row_result_data["free3"];
			$dsp_renraku		= $row_result_data["dsp_renraku"]; 
			$renraku			= $row_result_data["renraku"]; 
			$seikyu_address_title	= $row_result_data["seikyu_address_title"];
			$seikyu_dsp_kbn		= $row_result_data["seikyu_dsp_kbn"];
			
			$dsp_sname			= $row_result_data["dsp_sname"];
			$sname				= $row_result_data["sname"];
			$dsp_sname_kana		= $row_result_data["dsp_sname_kana"];
			$sname_kana			= $row_result_data["sname_kana"];
			$dsp_syubin_no		= $row_result_data["dsp_syubin_no"];
			$syubin_no			= $row_result_data["syubin_no"];
			$dsp_stodohuken		= $row_result_data["dsp_stodohuken"];
			$stodohuken			= $row_result_data["stodohuken"];
			$dsp_scity			= $row_result_data["dsp_scity"];
			$scity				= $row_result_data["scity"];
			$dsp_sareabanchi	= $row_result_data["dsp_sareabanchi"];
			$sareabanchi		= $row_result_data["sareabanchi"];
			$dsp_statemono		= $row_result_data["dsp_statemono"];
			$statemono			= $row_result_data["statemono"];
			$dsp_se_mail		= $row_result_data["dsp_se_mail"];
			$se_mail			= $row_result_data["se_mail"];
			$dsp_stel_no		= $row_result_data["dsp_stel_no"];  
			$stel_no			= $row_result_data["stel_no"];
			
			$item_service_name	= $row_result_data["item_service_name"]; 
			$item_code			= $row_result_data["item_code"];
			$price				= $row_result_data["price"]; 
			$price_name			= $row_result_data["price_name"]; 
			$sales_volume_transaction		= $row_result_data["sales_volume_transaction"]; 
			$stock_chk			= $row_result_data["stock_chk"]; 
			$siharai_hoho		= $row_result_data["siharai_hoho"]; 
			$muryo_kikan		= $row_result_data["muryo_kikan"];
			$muryo_kikan_unit	= $row_result_data["muryo_kikan_unit"]; 
			$gaibu_url			= $row_result_data["gaibu_url"]; 
			
		}else{
			$cta_data_id		= $_SESSION["cta_data_id"];
			$cta_btn_img_no		= $_SESSION["cta_btn_img_no"];
			$botton_name		= $_SESSION["botton_name"];
			$sohu_address_title = $_SESSION["sohu_address_title"];
			$dsp_name			= $_SESSION["dsp_name"];
			$name				= $_SESSION["name_input"];
			$dsp_name_kana		= $_SESSION["dsp_name_kana"];
			$name_kana			= $_SESSION["name_kana_input"];
			$dsp_yubin_no		= $_SESSION["dsp_yubin_no"];
			$yubin_no			= $_SESSION["zipa"]."-".$_SESSION["zipb"];
			$dsp_todohuken		= $_SESSION["dsp_todohuken"];
			$todohuken			= $_SESSION["todohuken_input"];
			$dsp_city			= $_SESSION["dsp_city"];
			$city				= $_SESSION["city_input"];
			$dsp_areabanchi		= $_SESSION["dsp_areabanchi"];
			$areabanchi			= $_SESSION["areabanchi_input"];
			$dsp_tatemono		= $_SESSION["dsp_tatemono"];
			$tatemono			= $_SESSION["tatemono_input"];
			$dsp_e_mail			= $_SESSION["dsp_e_mail"];
			$e_mail				= $_SESSION["e_mail_input"];
			$dsp_tel_no			= $_SESSION["dsp_tel_no"];
			$tel_no				= $_SESSION["tel_no_input"]; 
			
			$dsp_seinengappi	= $_SESSION["dsp_seinengappi"]; 
			$seinengappi		= $_SESSION["seinengappi_input"];
			$dsp_seibetu		= $_SESSION["dsp_seibetu"];
			$seibetu			= $_SESSION["seibetu_input"];
			$dsp_free1			= $_SESSION["dsp_free1"];
			$free1				= $_SESSION["free1_input"];
			$dsp_free2			= $_SESSION["dsp_free2"];
			$free2				= $_SESSION["free2_input"];
			$dsp_free3			= $_SESSION["dsp_free3"];
			$free3				= $_SESSION["free3_input"];
			$dsp_renraku		= $_SESSION["dsp_renraku"];
			$renraku			= $_SESSION["renraku_input"];
			$seikyu_address_title = $_SESSION["seikyu_address_title"];
			$seikyu_dsp_kbn		= $_SESSION["seikyu_dsp_kbn"];
			
			$dsp_sname			= $_SESSION["dsp_sname"];
			$sname				= $_SESSION["sname_input"];
			$dsp_sname_kana		= $_SESSION["dsp_sname_kana"];
			$sname_kana			= $_SESSION["sname_kana_input"];
			$dsp_syubin_no		= $_SESSION["dsp_syubin_no"];
			$syubin_no			= $_SESSION["szipa"]."-".$_SESSION["szipb"];
			$dsp_stodohuken		= $_SESSION["dsp_stodohuken"];
			$stodohuken			= $_SESSION["stodohuken_input"];
			$dsp_scity			= $_SESSION["dsp_scity"];
			$scity				= $_SESSION["scity_input"];
			$dsp_sareabanchi	= $_SESSION["dsp_sareabanchi"];
			$sareabanchi		= $_SESSION["sareabanchi_input"];
			$dsp_statemono		= $_SESSION["dsp_statemono"];
			$statemono			= $_SESSION["statemono_input"];
			$dsp_se_mail		= $_SESSION["dsp_se_mail"];
			$se_mail			= $_SESSION["se_mail_input"];
			$dsp_stel_no		= $_SESSION["dsp_stel_no"];
			$stel_no			= $_SESSION["stel_no_input"]; 
			$item_service_name	= $_SESSION["item_service_name"];
			$item_code			= $_SESSION["item_code"];
			$price				= $_SESSION["price"];
			$price_name			= "料金"; 
			$sales_volume_transaction		= $quantity;			// 販売数量は購入者が入力した数値をPayPalから取得
			$stock_chk			= $_SESSION["stock_chk"]; 
			$siharai_hoho		= $_SESSION["siharai_hoho"]; 
			$muryo_kikan		= $_SESSION["muryo_kikan"];
			$muryo_kikan_unit	= $_SESSION["muryo_kikan_unit"]; 
			$gaibu_url			= $_SESSION["gaibu_url"]; 
		}
		$mail_sent_result		= NULL;
		//更新日時
		$time 					= time();
		$toroku_day 			= date('Y/m/d H:i:s', $time);
		
		$result_data_id = insert_section_cta_proc_result_data_ipn($connipn, $cta_data_id, $cta_proc_data_id, $paypal_txn_type, $subscr_id, $txn_id, $cta_proc_no, $cta_btn_img_no, $botton_name, $sohu_address_title, $dsp_name, $name, 
								$dsp_name_kana, $name_kana, $dsp_yubin_no, $yubin_no, $dsp_todohuken, $todohuken, $dsp_city, $city, $dsp_areabanchi, $areabanchi, $dsp_tatemono, $tatemono, $dsp_e_mail, $e_mail, $dsp_tel_no, $tel_no, 
								$dsp_seinengappi, $seinengappi, $dsp_seibetu, $seibetu, $dsp_free1, $free1, $dsp_free2, $free2, $dsp_free3, $free3, $dsp_renraku, $renraku, $seikyu_address_title, $seikyu_dsp_kbn, $dsp_sname, $sname, 
								$dsp_sname_kana, $sname_kana, $dsp_syubin_no, $syubin_no, $dsp_stodohuken, $stodohuken, $dsp_scity, $scity, $dsp_sareabanchi, $sareabanchi, $dsp_statemono, $statemono, $dsp_se_mail, $se_mail, 
								$dsp_stel_no, $stel_no,$item_service_name, $item_code, $price, $price_name, $sales_volume_transaction, $stock_chk, $siharai_hoho, $muryo_kikan, $muryo_kikan_unit, $gaibu_url, $mail_sent_result, $toroku_day);
	}
	//*****************************************************
	// メール通知
	//*****************************************************
	
	if ($paypal_txn_type == "subscr_signup" || $paypal_txn_type == "subscr_payment" || $paypal_txn_type == "subscr_cancel" || ($paypal_payment_status == "Completed" && $paypal_txn_type == "web_accept")) { 
		// 定期支払の（登録または実行またはキャンセル）又は（支払い完了 && 一回払い）の場合
		$mail_addr_to = ($result_data_ari) ? $row_result_data["e_mail"] : $_SESSION["e_mail_input"];		// 顧客メールアドレス（三項演算子）
		$smail_addr_to = ($result_data_ari) ? $row_result_data["se_mail"] : $_SESSION["se_mail_input"];		// 顧客メールアドレス（三項演算子）
		
		if (($paypal_txn_type == "subscr_signup") || ($paypal_txn_type == "subscr_payment") ||($paypal_txn_type == "subscr_cancel")) {			// 定期支払の登録があったらメール通知する。
			if ($paypal_txn_type == "subscr_signup") {
				$dsp_type = "定期支払の登録";
			}else
			if ($paypal_txn_type == "subscr_payment") {
				$dsp_type = "定期支払の実行";
			}else{
				$dsp_type = "定期支払のキャンセル";
			}
			// メール編集
			$sender_mail	= 'auto';
			$mail_addr_mng	= $login_name;
			//$mail_addr_to	= $_SESSION["e_mail_input"];
			$send_title ='【ランディングページ】ご利用ありがとうございます（'.$dsp_type.'のお知らせ）';
			$send_title_mng ='（控え）【ランディングページ】ご利用ありがとうございます（'.$dsp_type.'のお知らせ）';
			// 日本語（SJIS）の指定
			mb_language('ja');
			mb_internal_encoding('UTF-8');
			// Fromアドレスの設定（自動送信 送信元のアドレス）
			$name = '自動送信';
			$send_header = 'From: '. mb_encode_mimeheader($name) . '<' . $sender_mail .'>';
			// メール本文の編集
			$honbun = NULL;
			$honbun = $honbun."定期支払のお知らせです。\n\n";
			$honbun = $honbun.$dsp_type."がありました。\n\n";
			$item_service_name = ($result_data_ari) ? $row_result_data["item_service_name"] : $_SESSION["item_service_name"];		// 三項演算子
			if ($item_name <> NULL) {
				$honbun = $honbun."【商品/サービス名】\n\n";
				$honbun = $honbun."　　　　　　".$item_service_name ."\n\n";
			}
			$price = ($result_data_ari) ? $row_result_data["price"] : $_SESSION["price"];		// 三項演算子
			if ($price <> NULL) {
				$price_name = ($result_data_ari) ? $row_result_data["price_name"] : $_SESSION["price_name"];		// 三項演算子
				if ($price_name <> NULL) {
					$dsp_price_name = $price_name;
				}else{
					$dsp_price_name = "料金";
				}
				$honbun = $honbun."【".$dsp_price_name."】\n\n";
				$honbun = $honbun."　　　　　　".number_format($price)."円\n\n";
				$honbun = $honbun."【支払方法】\n\n";
				$siharai_hoho_dsp["1"] 	= "1回払い";
				$siharai_hoho_dsp["M"] 	= "毎月払い";
				$siharai_hoho_dsp["Y"] 	= "毎年払い";
				
				$siharai_hoho = ($result_data_ari) ? $row_result_data["siharai_hoho"] : $_SESSION["siharai_hoho"];		// 三項演算子
				$honbun = $honbun."　　　　　　".$siharai_hoho_dsp[$siharai_hoho]."\n\n";
				if ($rowctapd["siharai_hoho"] <> "1") {
					$honbun = $honbun."【無料期間】\n\n";
					$unit["D"] 			= "日間";
					$unit["W"] 			= "週間";
					$unit["M"] 			= "ヵ月間";
					
					$muryo_kikan_unit 	= ($result_data_ari) ? $row_result_data["muryo_kikan_unit"] : $_SESSION["muryo_kikan_unit"];		// 三項演算子
					$muryo_kikan 		= ($result_data_ari) ? $row_result_data["muryo_kikan"] : $_SESSION["muryo_kikan"];		// 三項演算子
					$honbun = $honbun."　　　　　　".$muryo_kikan.$unit[$muryo_kikan_unit]."\n\n";
				}
			}else{
				exit;		// $priceがNULL（データが削除されている）場合は処理中止
			}
		}else
		if ($paypal_payment_status == "Completed" && $paypal_txn_type == "web_accept") {		// 支払い完了 && 一回払い
			// メール編集
			$sender_mail	= 'auto';
			$mail_addr_mng	= $login_name;
			//$mail_addr_to	= $_SESSION["e_mail_input"];
			$send_title ='【ランディングページ】ご利用ありがとうございます。';
			$send_title_mng ='（控え）【ランディングページ】ご利用ありがとうございます。';
			// 日本語（SJIS）の指定
			mb_language('ja');
			mb_internal_encoding('UTF-8');
			// Fromアドレスの設定（自動送信 送信元のアドレス）
			$name = '自動送信';
			$send_header = 'From: '. mb_encode_mimeheader($name) . '<' . $sender_mail .'>';
			// メール本文の編集
			$honbun = NULL;
			
			$seikyu_dsp_kbn = ($result_data_ari) ? $row_result_data["seikyu_dsp_kbn"] : $_SESSION["seikyu_dsp_kbn"];		// 三項演算子
			
			$honbun =  $honbun."ご注文いただき有難うございます。\n\n";
			if ($item_name <> NULL) {
				$honbun = $honbun."【商品/サービス名】\n\n";
				$honbun = $honbun."　　　　　　".$item_name ."\n\n";
			}
			
			if ($payment_amount <> NULL) {
				if ($rowctapd["dsp_price_name"] <> NULL) {
					$dsp_price_name = $rowctapd["dsp_price_name"];
				}else{
					$dsp_price_name = "料金";
				}
				$honbun = $honbun."【".$dsp_price_name."】\n\n";
				$honbun = $honbun."　　　　　　".number_format($payment_amount)."円\n\n";
				$honbun = $honbun."【ご購入数量】\n\n";
				$honbun = $honbun."　　　　　　".$quantity."\n\n";
			}else{
				exit;		// $payment_amountがNULL（データが削除されている）場合は処理中止
			}
		}
		
		if ($result_data_ari) {
			if ($row_result_data["sohu_address_title"]  <> NULL) {
				$honbun = $honbun."==========　".$row_result_data["sohu_address_title"]."　========================================\n\n";
			}else{
				$honbun = $honbun."==========　お届け先住所　========================================\n\n";
			}
			if ($row_result_data["name"]  <> NULL) {
				$honbun = $honbun."【".$row_result_data["dsp_name"]."】\n\n";
				$honbun = $honbun."　　　　　　".$row_result_data["name"]."　様\n\n";
			}
			if ($row_result_data["name_kana"] <> NULL) {
				$honbun = $honbun."【".$row_result_data["dsp_name_kana"]."】\n\n";
				$honbun = $honbun."　　　　　　".$row_result_data["name_kana"]."　様\n\n";
			}
			if ($row_result_data["yubin_no"] <> NULL && $row_result_data["yubin_no"] <> "-") {
				$honbun = $honbun."【".$row_result_data["dsp_yubin_no"]."】\n\n";
				$honbun = $honbun."　　　　　　".$row_result_data["yubin_no"]."\n\n";
			}
			if ($row_result_data["todohuken"] <> NULL) {
				$honbun = $honbun."【".$row_result_data["dsp_todohuken"]."】\n\n";
				$honbun = $honbun."　　　　　　".$row_result_data["todohuken"]."\n\n";
			}
			if ($row_result_data["city"] <> NULL) {
				$honbun = $honbun."【".$row_result_data["dsp_city"]."】\n\n";
				$honbun = $honbun."　　　　　　".$row_result_data["city"]."\n\n";
			}
			if ($row_result_data["areabanchi"] <> NULL) {
				$honbun = $honbun."【".$row_result_data["dsp_areabanchi"]."】\n\n";
				$honbun = $honbun."　　　　　　".$row_result_data["areabanchi"]."\n\n";
			}
			if ($row_result_data["tatemono"] <> NULL) {
				$honbun = $honbun."【".$row_result_data["dsp_tatemono"]."】\n\n";
				$honbun = $honbun."　　　　　　".$row_result_data["tatemono"]."\n\n";
			}
			if ($row_result_data["e_mail"] <> NULL) {
				$honbun = $honbun."【".$row_result_data["dsp_e_mail"]."】\n\n";
				$honbun = $honbun."　　　　　　".$row_result_data["e_mail"]."\n\n";
			}
			if ($row_result_data["tel_no"] <> NULL) {
				$honbun = $honbun."【".$row_result_data["dsp_tel_no"]."】\n\n";
				$honbun = $honbun."　　　　　　".$row_result_data["tel_no"]."\n\n";
			}
			if ($row_result_data["seinengappi"] <> NULL) {
				$honbun = $honbun."【".$row_result_data["dsp_seinengappi"]."】\n\n";
				$honbun = $honbun."　　　　　　".$row_result_data["seinengappi"]."\n\n";
			}
			if ($row_result_data["seibetu"] <> NULL) {
				$seibetu_array[1] 	= "男";
				$seibetu_array[2] 	= "女";
				$seibetu_value		= $row_result_data["seibetu"];
				$honbun = $honbun."【".$row_result_data["dsp_seibetu"]."】\n\n";
				$honbun = $honbun."　　　　　　".$seibetu_array[$seibetu_value]."\n\n";
			}
			if ($row_result_data["free1"] <> NULL) {
				$honbun = $honbun."【".$row_result_data["dsp_free1"]."】\n\n";
				$honbun = $honbun."　　　　　　".$row_result_data["free1"]."\n\n";
			}
			if ($row_result_data["free2"] <> NULL) {
				$honbun = $honbun."【".$row_result_data["dsp_free2"]."】\n\n";
				$honbun = $honbun."　　　　　　".$row_result_data["free2"]."\n\n";
			}
			if ($row_result_data["free3"] <> NULL) {
				$honbun = $honbun."【".$row_result_data["dsp_free3"]."】\n\n";
				$honbun = $honbun."　　　　　　".$row_result_data["free3"]."\n\n";
			}
			if ($row_result_data["renraku"] <> NULL) {
				$honbun = $honbun."【".$rowctapd["dsp_renraku"]."】\n\n";
				$honbun = $honbun.$row_result_data["renraku"]."\n\n";
			}
			if ($row_result_data["seikyu_dsp_kbn"] == 1) {						//  請求先表示あり
				$honbun = $honbun."==========　".$row_result_data["seikyu_address_title"]."========================================\n\n";
				if ($row_result_data["sname"]  <> NULL) {
					$honbun = $honbun."【".$row_result_data["dsp_sname"]."】\n\n";
					$honbun = $honbun."　　　　　　".$row_result_data["sname"]."　様\n\n";
				}
				if ($row_result_data["sname_kana"] <> NULL) {
					$honbun = $honbun."【".$row_result_data["dsp_sname_kana"]."】\n\n";
					$honbun = $honbun."　　　　　　".$row_result_data["sname_kana"]."　様\n\n";
				}
				if ($row_result_data["syubin_no"] <> NULL && $row_result_data["syubin_no"] <> "-") {
					$honbun = $honbun."【".$row_result_data["dsp_syubin_no"]."】\n\n";
					$honbun = $honbun."　　　　　　".$row_result_data["syubin_no"]."\n\n";
				}
				if ($row_result_data["stodohuken"] <> NULL) {
					$honbun = $honbun."【".$row_result_data["dsp_stodohuken"]."】\n\n";
					$honbun = $honbun."　　　　　　".$row_result_data["stodohuken"]."\n\n";
				}
				if ($row_result_data["scity"] <> NULL) {
					$honbun = $honbun."【".$row_result_data["dsp_scity"]."】\n\n";
					$honbun = $honbun."　　　　　　".$row_result_data["scity"]."\n\n";
				}
				if ($row_result_data["sareabanchi"] <> NULL) {
					$honbun = $honbun."【".$row_result_data["dsp_sareabanchi"]."】\n\n";
					$honbun = $honbun."　　　　　　".$row_result_data["sareabanchi"]."\n\n";
				}
				if ($row_result_data["statemono"] <> NULL) {
					$honbun = $honbun."【".$row_result_data["dsp_statemono"]."】\n\n";
					$honbun = $honbun."　　　　　　".$row_result_data["statemono"]."\n\n";
				}
				if ($row_result_data["se_mail"] <> NULL) {
					$honbun = $honbun."【".$row_result_data["dsp_se_mail"]."】\n\n";
					$honbun = $honbun."　　　　　　".$row_result_data["se_mail"]."\n\n";
				}
				if ($row_result_data["stel_no"] <> NULL) {
					$honbun = $honbun."【".$row_result_data["dsp_stel_no"]."】\n\n";
					$honbun = $honbun."　　　　　　".$row_result_data["stel_no"]."\n\n";
				}
				$honbun = $honbun."　----------------------------------\n\n";
			}
		}else{	// 最初の定期支払の実行処理が登録より先になった場合
			if ($_SESSION["sohu_address_title"]  <> NULL) {
				$honbun = $honbun."==========　".$_SESSION["sohu_address_title"]."　========================================\n\n";
			}else{
				$honbun = $honbun."==========　送付先住所　========================================\n\n";
			}
			
			if ($_SESSION["name_input"]  <> NULL) {
				$honbun = $honbun."【".$_SESSION["dsp_name"]."】\n\n";
				$honbun = $honbun."　　　　　　".$_SESSION["name_input"]."　様\n\n";
			}
			if ($_SESSION["name_kana_input"] <> NULL) {
				$honbun = $honbun."【".$_SESSION["dsp_name_kana"]."】\n\n";
				$honbun = $honbun."　　　　　　".$_SESSION["name_kana_input"]."　様\n\n";
			}
			if ($_SESSION["zipa"] <> NULL || $_SESSION["zipb"] <> NULL) {
				$honbun = $honbun."【".$_SESSION["dsp_yubin_no"]."】\n\n";
				$honbun = $honbun."　　　　　　".$_SESSION["zipa"]."-".$_SESSION["zipb"]."\n\n";
			}
			if ($_SESSION["todohuken_input"] <> NULL) {
				$honbun = $honbun."【".$_SESSION["dsp_todohuken"]."】\n\n";
				$honbun = $honbun."　　　　　　".$_SESSION["todohuken_input"]."\n\n";
			}
			if ($_SESSION["city_input"] <> NULL) {
				$honbun = $honbun."【".$rowctapd["dsp_city"]."】\n\n";
				$honbun = $honbun."　　　　　　".$city."\n\n";
			}
			if ($_SESSION["areabanchi_input"] <> NULL) {
				$honbun = $honbun."【".$_SESSION["dsp_areabanchi"]."】\n\n";
				$honbun = $honbun."　　　　　　".$_SESSION["areabanchi_input"]."\n\n";
			}
			if ($_SESSION["tatemono_input"] <> NULL) {
				$honbun = $honbun."【".$_SESSION["dsp_tatemono"]."】\n\n";
				$honbun = $honbun."　　　　　　".$_SESSION["tatemono_input"]."\n\n";
			}
			if ($_SESSION["e_mail_input"] <> NULL) {
				$honbun = $honbun."【".$_SESSION["dsp_e_mail"]."】\n\n";
				$honbun = $honbun."　　　　　　".$_SESSION["e_mail_input"]."\n\n";
			}
			if ($_SESSION["tel_no_input"] <> NULL) {
				$honbun = $honbun."【".$_SESSION["dsp_tel_no"]."】\n\n";
				$honbun = $honbun."　　　　　　".$_SESSION["tel_no_input"]."\n\n";
			}
			if ($_SESSION["seinengappi_input"] <> NULL) {
				$honbun = $honbun."【".$_SESSION["dsp_seinengappi"]."】\n\n";
				$honbun = $honbun."　　　　　　".$_SESSION["seinengappi_input"]."\n\n";
			}
			if ($_SESSION["seibetu_input"] <> NULL) {
				$seibetu_array[1] 	= "男";
				$seibetu_array[2] 	= "女";
				$seibetu_value		= $_SESSION["seibetu_input"];
				$honbun = $honbun."【".$_SESSION["dsp_seibetu"]."】\n\n";
				$honbun = $honbun."　　　　　　".$seibetu_array[$seibetu_value]."\n\n";
			}
			if ($_SESSION["free1_input"] <> NULL) {
				$honbun = $honbun."【".$_SESSION["dsp_free1"]."】\n\n";
				$honbun = $honbun."　　　　　　".$_SESSION["free1_input"]."\n\n";
			}
			if ($_SESSION["free2_input"] <> NULL) {
				$honbun = $honbun."【".$_SESSION["dsp_free2"]."】\n\n";
				$honbun = $honbun."　　　　　　".$_SESSION["free2_input"]."\n\n";
			}
			if ($_SESSION["free3_input"] <> NULL) {
				$honbun = $honbun."【".$_SESSION["dsp_free3"]."】\n\n";
				$honbun = $honbun."　　　　　　".$_SESSION["free3_input"]."\n\n";
			}
			if ($_SESSION["renraku_input"] <> NULL) {
				$honbun = $honbun."【".$_SESSION["dsp_renraku"]."】\n\n";
				$honbun = $honbun.$_SESSION["renraku_input"]."\n\n";
			}
			if ($_SESSION["seikyu_dsp_kbn"] == 1) {						//  請求先表示あり
				
				$seikyu_address_title 	= ($result_data_ari) ? $row_result_data["seikyu_address_title"] : $_SESSION["seikyu_address_title"];		// 三項演算子
				if ($_SESSION["seikyu_address_title"] <> NULL) {
					$honbun = $honbun."==========　".$_SESSION["seikyu_address_title"]."　========================================\n\n";
				}else{
					$honbun = $honbun."==========　請求先住所　========================================\n\n";
				}
				
				if ($_SESSION["sname_input"]  <> NULL) {
					$honbun = $honbun."【".$_SESSION["dsp_sname"]."】\n\n";
					$honbun = $honbun."　　　　　　".$_SESSION["sname_input"]."　様\n\n";
				}
				if ($_SESSION["sname_kana_input"] <> NULL) {
					$honbun = $honbun."【".$_SESSION["dsp_sname_kana"]."】\n\n";
					$honbun = $honbun."　　　　　　".$_SESSION["sname_kana_input"]."　様\n\n";
				}
				if ($_SESSION["szipa"] <> NULL || $_SESSION["szipb"] <> NULL) {
					$honbun = $honbun."【".$_SESSION["dsp_syubin_no"]."】\n\n";
					$honbun = $honbun."　　　　　　".$_SESSION["szipa"]."-".$_SESSION["szipb"]."\n\n";
				}
				if ($_SESSION["stodohuken_input"] <> NULL) {
					$honbun = $honbun."【".$_SESSION["dsp_stodohuken"]."】\n\n";
					$honbun = $honbun."　　　　　　".$_SESSION["stodohuken_input"]."\n\n";
				}
				if ($_SESSION["scity_input"] <> NULL) {
					$honbun = $honbun."【".$rowctapd["dsp_scity"]."】\n\n";
					$honbun = $honbun."　　　　　　".$city."\n\n";
				}
				if ($_SESSION["sareabanchi_input"] <> NULL) {
					$honbun = $honbun."【".$_SESSION["dsp_sareabanchi"]."】\n\n";
					$honbun = $honbun."　　　　　　".$_SESSION["sareabanchi_input"]."\n\n";
				}
				if ($_SESSION["statemono_input"] <> NULL) {
					$honbun = $honbun."【".$_SESSION["dsp_statemono"]."】\n\n";
					$honbun = $honbun."　　　　　　".$_SESSION["statemono_input"]."\n\n";
				}
				if ($_SESSION["se_mail_input"] <> NULL) {
					$honbun = $honbun."【".$_SESSION["dsp_se_mail"]."】\n\n";
					$honbun = $honbun."　　　　　　".$_SESSION["se_mail_input"]."\n\n";
				}
				if ($_SESSION["stel_no_input"] <> NULL) {
					$honbun = $honbun."【".$_SESSION["dsp_stel_no"]."】\n\n";
					$honbun = $honbun."　　　　　　".$_SESSION["stel_no_input"]."\n\n";
				}
					$honbun = $honbun."　----------------------------------\n\n";
			}
		}
		
		$name = ($result_data_ari) ? $row_result_data["name"] : $_SESSION["name_input"];		// 三項演算子
		$honbun1 = $name."　様\n\n".$honbun;
		$result1 = mb_send_mail($mail_addr_to, $send_title, $honbun1, $send_header);						// 送付先にメール送信 （paypalと重複するため止める？）
		$shonbun = NULL;
		if ($seikyu_dsp_kbn == 1) {
			$sname = ($result_data_ari) ? $row_result_data["sname"] : $_SESSION["sname_input"];		// 三項演算子
			$shonbun = $sname."　様\n\n".$honbun;
			$sresult = mb_send_mail($smail_addr_to, $send_title, $shonbun, $send_header);			// 請求先にメール送信
			$honbun_mng = "以下の内容でお客様にメールを送信しました。\n";
			$honbun_mng .= "（※Ｅメールアドレスが間違っている場合、メールは届いておりません）\n\n";
			$honbun_mng .= "******** （送付先者様宛）***************\n\n".$honbun1."\n\n";
			$honbun_mng .= "******** （請求者様宛）***************\n\n".$shonbun."\n\n";
		}else{
			$honbun_mng = "以下の内容でお客様にメールを送信しました。\n\n".$honbun1;
		}
		$result2 = mb_send_mail($mail_addr_mng, $send_title_mng, $honbun_mng, $send_header);		// ランディングページ管理者宛に送信   （paypalと重複するため止める？）
		// メール送信結果を反映する。
		$sql_tmp = "update section_cta_proc_result_data_ipn set 
						mail_sent_result	= :mail_sent_result,
						update_time 		= :update_time
						where id			= :id";
		$stmt = $connipn->prepare($sql_tmp);
		$stmt->bindParam(":id", $result_data_id);
		$stmt->bindParam(":mail_sent_result", $result1);
		//更新日時
		$time 			= time();
		$update_time 	= date('Y/m/d H:i:s', $time);
		$stmt->bindParam(":update_time", $update_time);
		$stmt->execute();		
		
		if ($paypal_payment_status == "Completed" && $paypal_txn_type == "web_accept") {		// 支払い完了 && 一回払い			// セクションCTA処理データipnの販売数量を更新する。
			$sql = 'SELECT * FROM section_cta_proc_data_ipn WHERE cta_proc_data_id = '.$_GET["cta_proc_data_id"];
			$stmt = $connipn->prepare($sql);
			$stmt->execute();
			if ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
				$id					= $row["id"];
				$sales_volume 		= $row["sales_volume"] + 1;
				$sql_tmp = "update section_cta_proc_data_ipn set
								sales_volume 			= :sales_volume,
								update_time 			= :update_time
								where id				= :id";
				$stmt2 = $connipn->prepare($sql_tmp);
				$stmt2->bindParam(":id", $id);
				$stmt2->bindParam(":sales_volume", $sales_volume);
				//更新日時
				$time 			= time();
				$update_time 	= date('Y/m/d H:i:s', $time);
				$stmt2->bindParam(":update_time", $update_time);
				$stmt2->execute();
				
			}else{
				$cta_proc_data_id 	= $_GET["cta_proc_data_id"];
				$sales_volume		= 1;
				$id = insert_section_cta_proc_data_ipn($connipn, $cta_proc_data_id, $sales_volume);
			}
			$stock_quantity = $rowctapd["stock_quantity"] - $sales_volume;
			if (($rowctapd["stock_chk"] == 1) && ($stock_quantity <= 2)) {			// 在庫数量が２以下になったら通知する。
				if ($user_info_ari) {
					// メール送信処理
					// 日本語（SJIS）の指定
					mb_language('ja');
					mb_internal_encoding('UTF-8');
					$sender_mail	= 'auto';
					$mail_addr_mng	= $login_name;
					$send_title 	='【ランディングページ】在庫数量のお知らせ';
					// Fromアドレスの設定（自動送信 送信元のアドレス）
					$sender_name = '自動送信';
					$send_header = 'From: '. mb_encode_mimeheader($sender_name) . '<' . $sender_mail .'>';
					// メール本文の編集
					$honbun = "在庫数量のお知らせです。\n\n";
					$honbun = $honbun."在庫数量が ".$stock_quantity."点になりました。";
					$result1 = mb_send_mail($mail_addr_mng, $send_title, $honbun, $send_header);		// 管理者宛に送信
				}
			}
		}
	}
} else if (strcmp ($res, "INVALID") == 0) {
    // log for manual investigation
	
	// trace用データ登録
	//$trace_no = "03";					//debug
	//$log = "INVALID";						//debug
	//$id = insert_paypal_log($connshp, $trace_no, $log, $raw_post_data);				//debug
	
} else {
	// trace用データ登録
	//$trace_no = "08";					//debug
	//$log = "res=".$res;						//debug
	//$id = insert_paypal_log($connshp, $trace_no, $log, $raw_post_data);				//debug
}
?>

